/* INCLUDE FILES */

#include <visa.h>
#include "rscmu200.h"

#ifndef _DLL
    #define _REMVXIPNP
#endif

#if defined(_MSC_VER) || defined(_CVI_)
    #define _OUTSIDEVEE_
#endif

#if defined(__cplusplus) || defined(__cplusplus__)
extern "C" {
#endif

/************************************************************/
/*                      DEFINES                             */
/************************************************************/

#define RSCMUNB_VERSION      "4.40.0"  // Instrument Driver Version String
#define RSCMUNB_CREATIONDATE "01/2009"  // Instrument Driver Creation Month/Year
#define RSCMUNB_CVIVERSION   "8.5"      // Used Labwindows/CVI Version

// Please do not change this compound definition ! Only the defines above!
#define RSCMUNB_REVISION "Rev " RSCMUNB_VERSION", "RSCMUNB_CREATIONDATE", CVI "RSCMUNB_CVIVERSION // Instrument Driver Revision

#ifndef _OUTSIDEVEE_
#define RSCMU_WCDMA_NB_NSIG                     41
#define RSCMU_WCDMA_NB_SIG                      43
#endif

#define RSCMUNB_WCDMA1900FDD_NSIG               0
#define RSCMUNB_WCDMA1900FDD_SIG                1

#define RSCMUNB_CHANNELTYPE_3GPPREF             0
#define RSCMUNB_CHANNELTYPE_PHYSICAL            1

#define RSCMUNB_SCRAMBLINGCODE_LENGTH_LONG      0
#define RSCMUNB_SCRAMBLINGCODE_LENGTH_SHORT     1
#define RSCMUNB_SCRAMBLINGCODE_LENGTH_OFF       2

#define RSCMUNB_PowerControl_Mode_Algorithm1    0
#define RSCMUNB_PowerControl_Mode_Algorithm2    1

#define RSCMUNB_3GPPREFCHANNEL_TYPE_12_2        0
#define RSCMUNB_3GPPREFCHANNEL_TYPE_64          1
#define RSCMUNB_3GPPREFCHANNEL_TYPE_144         2
#define RSCMUNB_3GPPREFCHANNEL_TYPE_384         3
#define RSCMUNB_3GPPREFCHANNEL_TYPE_2048        4

#define RSCMUNB_CHANNELDATASOURCE_DTCH_ALLZERO  0
#define RSCMUNB_CHANNELDATASOURCE_DTCH_ALLONE   1
#define RSCMUNB_CHANNELDATASOURCE_DTCH_ALTERNATE 2
#define RSCMUNB_CHANNELDATASOURCE_DTCH_PRBS9    3
#define RSCMUNB_CHANNELDATASOURCE_DTCH_PRBS11   4
#define RSCMUNB_CHANNELDATASOURCE_DTCH_PRBS15   5
#define RSCMUNB_CHANNELDATASOURCE_DTCH_PRBS16   6

#define RSCMUNB_DownlinkPowerControl_Mode_0     0
#define RSCMUNB_DownlinkPowerControl_Mode_1     1

#define RSCMUNB_TPCFieldSettings_ReadOutMode_Alt01                          0
#define RSCMUNB_TPCFieldSettings_ReadOutMode_Alt10                          1
#define RSCMUNB_TPCFieldSettings_ReadOutMode_All0                           2
#define RSCMUNB_TPCFieldSettings_ReadOutMode_All1                           3
#define RSCMUNB_TPCFieldSettings_ReadOutMode_ContinuousPattern              4
#define RSCMUNB_TPCFieldSettings_ReadOutMode_SinglePatternAndAll0           5
#define RSCMUNB_TPCFieldSettings_ReadOutMode_SinglePatternAndAll1           6
#define RSCMUNB_TPCFieldSettings_ReadOutMode_SinglePatternAndAlternating    7

#define RSCMUNB_CHANNELDATASOURCE_DPDCH_ALLZERO  0
#define RSCMUNB_CHANNELDATASOURCE_DPDCH_ALLONE   1
#define RSCMUNB_CHANNELDATASOURCE_DPDCH_ALTERNATE 2
#define RSCMUNB_CHANNELDATASOURCE_DPDCH_PRBS9    3
#define RSCMUNB_CHANNELDATASOURCE_DPDCH_PRBS11   4
#define RSCMUNB_CHANNELDATASOURCE_DPDCH_PRBS15   5
#define RSCMUNB_CHANNELDATASOURCE_DPDCH_PRBS16   6

#define RSCMUNB_DPDCHTOTALSYMOBLRATE_15          0
#define RSCMUNB_DPDCHTOTALSYMOBLRATE_30          1
#define RSCMUNB_DPDCHTOTALSYMOBLRATE_60          2
#define RSCMUNB_DPDCHTOTALSYMOBLRATE_120         3
#define RSCMUNB_DPDCHTOTALSYMOBLRATE_240         4
#define RSCMUNB_DPDCHTOTALSYMOBLRATE_480         5
#define RSCMUNB_DPDCHTOTALSYMOBLRATE_1_960       6
#define RSCMUNB_DPDCHTOTALSYMOBLRATE_2_960       7
#define RSCMUNB_DPDCHTOTALSYMOBLRATE_3_960       8
#define RSCMUNB_DPDCHTOTALSYMOBLRATE_4_960       9
#define RSCMUNB_DPDCHTOTALSYMOBLRATE_5_960      10
#define RSCMUNB_DPDCHTOTALSYMOBLRATE_6_960      11

#define RSCMUNB_TRIGGER_FREERUN                  0
#define RSCMUNB_TRIGGER_EXTERNAL                 1
#define RSCMUNB_TRIGGER_FRAME                    2
#define RSCMUNB_TRIGGER_SFRAME                   3

#define RSCMUNB_TRIG_SLOP_NEG                    0
#define RSCMUNB_TRIG_SLOP_POS                    1

#define RSCMUNB_WIREDSYNC_POLARITY_RISING        0
#define RSCMUNB_WIREDSYNC_POLARITY_FALLING       1

#define RSCMUNB_TRIG_POLARITY_RISING             0
#define RSCMUNB_TRIG_POLARITY_FALLING            1

#define RSCMUNB_CDP_WITH_SCH                     0
#define RSCMUNB_CDP_WITHOUT_SCH                  1

#define RSCMUNB_MEASUREMENT_RESULTMODE_ARRAY     0
#define RSCMUNB_MEASUREMENT_RESULTMODE_SCALAR    1

#define RSCMUNB_CDP_UNIT_ABSOLUTE               0
#define RSCMUNB_CDP_UNIT_REL_CPICH              1
#define RSCMUNB_CDP_UNIT_REL_AVG                2

#define RSCMUNB_CMD_READ                        0
#define RSCMUNB_CMD_FETCH                       1
#define RSCMUNB_CMD_SAMPLE                      2

#define RSCMUNB_ACLR_UNIT_REL                   0
#define RSCMUNB_ACLR_UNIT_ABS                   1

#define RSCMUNB_RESOLUTION_BANDWIDTH_WRRC       0
#define RSCMUNB_RESOLUTION_BANDWIDTH_5MHZ       1
#define RSCMUNB_RESOLUTION_BANDWIDTH_7MHZ       2

#define RSCMUNB_ANTENNA_DIVERSITY_OFF           0
#define RSCMUNB_ANTENNA_DIVERSITY_ANTENNA1      1
#define RSCMUNB_ANTENNA_DIVERSITY_ANTENNA2      2

#define RSCMUNB_USER_TEST_MODEL1                1
#define RSCMUNB_USER_TEST_MODEL2                2

#define RSCMUNB_EMASK_AUTO                      0
#define RSCMUNB_EMASK_CL1                       1
#define RSCMUNB_EMASK_CL2                       2
#define RSCMUNB_EMASK_CL3                       3
#define RSCMUNB_EMASK_CL4                       4
#define RSCMUNB_EMASK_USER                      5

#define RSCMUNB_3GPP_VERIFICATION_OFF           0
#define RSCMUNB_3GPP_VERIFICATION_BER           1
#define RSCMUNB_3GPP_VERIFICATION_BLER          2

#define RSCMUNB_TEST_MODEL_M116                 0
#define RSCMUNB_TEST_MODEL_M132                 1
#define RSCMUNB_TEST_MODEL_M164                 2
#define RSCMUNB_TEST_MODEL_M2                   3
#define RSCMUNB_TEST_MODEL_M316                 4
#define RSCMUNB_TEST_MODEL_M332                 5
#define RSCMUNB_TEST_MODEL_M4                   6
#define RSCMUNB_TEST_MODEL_M5308                7
#define RSCMUNB_TEST_MODEL_M5144                8
#define RSCMUNB_TEST_MODEL_M562                 9
#define RSCMUNB_TEST_MODEL_USR1                 10
#define RSCMUNB_TEST_MODEL_USR2                 11
#define RSCMUNB_TEST_MODEL_ACD                  12

#define RSCMUNB_LIMIT_CMAX                      0
#define RSCMUNB_LIMIT_AVERAGE                   1

#define RSCMUNB_UNIT_REL                        0
#define RSCMUNB_UNIT_ABS                        1

#define RSCMUNB_UTM_CH_DEF                      0
#define RSCMUNB_UTM_CH_PICH                     1
#define RSCMUNB_UTM_CH_CPIC                     2
#define RSCMUNB_UTM_CH_PCCP                     3
#define RSCMUNB_UTM_CH_SCCP                     4
#define RSCMUNB_UTM_CH_PDSC                     5
#define RSCMUNB_UTM_CH_HSSC                     6
#define RSCMUNB_UTM_CH_HS16                     7
#define RSCMUNB_UTM_CH_HSQP                     8
#define RSCMUNB_UTM_CH_DPCH                     9

#define RSCMUNB_UTM_SRATE_DEF                   0
#define RSCMUNB_UTM_SRATE_S75                   1
#define RSCMUNB_UTM_SRATE_S15                   2
#define RSCMUNB_UTM_SRATE_S30                   3
#define RSCMUNB_UTM_SRATE_S60                   4
#define RSCMUNB_UTM_SRATE_S120                  5
#define RSCMUNB_UTM_SRATE_S240                  6
#define RSCMUNB_UTM_SRATE_S480                  7
#define RSCMUNB_UTM_SRATE_S960                  8

#define RSCMUNB_UTM_PILOT_DEF                   0
#define RSCMUNB_UTM_PILOT_PB0                   1
#define RSCMUNB_UTM_PILOT_PB2                   2
#define RSCMUNB_UTM_PILOT_PB4                   3
#define RSCMUNB_UTM_PILOT_PB8                   4
#define RSCMUNB_UTM_PILOT_PB16                  5
#define RSCMUNB_UTM_PILOT_INV                   6

#define RSCMUNB_SEQ_PR9                         0
#define RSCMUNB_SEQ_PR11                        1
#define RSCMUNB_SEQ_PR15                        2
#define RSCMUNB_SEQ_PR16                        3


#define RSCMUNB_SIB_TYPE_MIB                    0
#define RSCMUNB_SIB_TYPE_SIB1                   1
#define RSCMUNB_SIB_TYPE_SIB2                   2
#define RSCMUNB_SIB_TYPE_SIB3                   3
#define RSCMUNB_SIB_TYPE_SIB4                   4
#define RSCMUNB_SIB_TYPE_SIB5                   5
#define RSCMUNB_SIB_TYPE_SIB6                   6
#define RSCMUNB_SIB_TYPE_SIB7                   7
#define RSCMUNB_SIB_TYPE_SIB8                   8
#define RSCMUNB_SIB_TYPE_SIB9                   9
#define RSCMUNB_SIB_TYPE_SIB10                  10
#define RSCMUNB_SIB_TYPE_SIB11                  11
#define RSCMUNB_SIB_TYPE_SIB12                  12
#define RSCMUNB_SIB_TYPE_SIB13                  13
#define RSCMUNB_SIB_TYPE_SIB14                  14
#define RSCMUNB_SIB_TYPE_SIB15                  15
#define RSCMUNB_SIB_TYPE_SIB16                  16
#define RSCMUNB_SIB_TYPE_SIB17                  17
#define RSCMUNB_SIB_TYPE_SIB18                  18
#define RSCMUNB_SIB_TYPE_SIB13_1                19
#define RSCMUNB_SIB_TYPE_SIB13_2                20
#define RSCMUNB_SIB_TYPE_SIB13_3                21
#define RSCMUNB_SIB_TYPE_SIB13_4                22
#define RSCMUNB_SIB_TYPE_SIB15_1                23
#define RSCMUNB_SIB_TYPE_SIB15_2                24
#define RSCMUNB_SIB_TYPE_SIB15_3                25
#define RSCMUNB_SIB_TYPE_SIB15_4                26
#define RSCMUNB_SIB_TYPE_SIB15_5                27
#define RSCMUNB_SIB_TYPE_SB1                    28
#define RSCMUNB_SIB_TYPE_SB2                    29

#define RSCMUNB_DLBER_SEQ_PR9                   0
#define RSCMUNB_DLBER_SEQ_PR11                  1
#define RSCMUNB_DLBER_SEQ_PR15                  2
#define RSCMUNB_DLBER_SEQ_PR16                  3
#define RSCMUNB_DLBER_SEQ_LOOP                  4

#define RSCMUNB_SAVE                            0
#define RSCMUNB_RECALL                          1

#define RSCMUNB_STOR_INT                        0
#define RSCMUNB_STOR_EXT                        1

#define RSCMUNB_LIMIT_PARAMETER_EVMP            0
#define RSCMUNB_LIMIT_PARAMETER_EVMR            1
#define RSCMUNB_LIMIT_PARAMETER_MEP             2
#define RSCMUNB_LIMIT_PARAMETER_MERM            3
#define RSCMUNB_LIMIT_PARAMETER_PEP             4
#define RSCMUNB_LIMIT_PARAMETER_PERM            5
#define RSCMUNB_LIMIT_PARAMETER_IQO             6
#define RSCMUNB_LIMIT_PARAMETER_IQIM            7
#define RSCMUNB_LIMIT_PARAMETER_CFER            8
#define RSCMUNB_LIMIT_PARAMETER_WFQ             9

#define RSCMUNB_SIG_ACT_UNS                     0
#define RSCMUNB_SIG_ACT_SYN                     1

#define RSCMUNB_DL_OPER_MODE_GPPR               0
#define RSCMUNB_DL_OPER_MODE_PHYS               1
#define RSCMUNB_DL_OPER_MODE_HSDPA              2 

#define RSCMUNB_UES_ALG1                        0
#define RSCMUNB_UES_ALG2                        1

#define RSCMUNB_OFF                             0
#define RSCMUNB_ON                              1

#define RSCMUNB_CONT                            0
#define RSCMUNB_SINGLE                          1

#define RSCMUNB_SUB_ALL                         0
#define RSCMUNB_SUB_ARIT                        1
#define RSCMUNB_SUB_MIN                         2
#define RSCMUNB_SUB_MAX                         3

#define RSCMU_SIG_ACT_UNS                       0
#define RSCMU_SIG_ACT_SYN                       1
#define RSCMU_SIG_ACT_SIP                       2

#define RSCMU_BCHM_EMPT                         0
#define RSCMU_BCHM_FULL                         1

#define RSCMU_NB_AICHTT_3                       0
#define RSCMU_NB_AICHTT_4                       1

#define RSCMUNB_RACH_SFNMODE_SPEC               0
#define RSCMUNB_RACH_SFNMODE_NEXT               1

#define RSCMUNB_OUTP_SIG_NONE                   0
#define RSCMUNB_OUTP_SIG_SLOT                   1
#define RSCMUNB_OUTP_SIG_FRAM                   2
#define RSCMUNB_OUTP_SIG_SFRAM                  3


 /* Fw 3.82 */

#define RSCMUNB_HSDPA_START_IMM     0
#define RSCMUNB_HSDPA_START_HSFN    1
#define RSCMUNB_HSDPA_START_UEID    2

#define RSCMU_HSSCCH_HSFN           0
#define RSCMU_HSSCCH_UEID           1
                                    
#define RSCMUNB_UES_HSDPA_TYPE_ANC      0
#define RSCMUNB_UES_HSDPA_TYPE_CQI      1
#define RSCMUNB_UES_HSDPA_TYPE_ANACK    2

#define RSCMUNB_UES_HSDPA_ACK_TRANS_MODE_FRUN   0
#define RSCMUNB_UES_HSDPA_ACK_TRANS_MODE_UITR   1

#define RSCMUNB_UES_HSDPA_ACK_HSFN_MODE_IMM     0
#define RSCMUNB_UES_HSDPA_ACK_HSFN_MODE_HNUM    1

#define RSCMUNB_UES_HSDPA_OFF       0
#define RSCMUNB_UES_HSDPA_ACK       1
#define RSCMUNB_UES_HSDPA_NACK      2
#define RSCMUNB_UES_HSDPA_CQI       3

#define RSCMUNB_LOG_NONE        0
#define RSCMUNB_LOG_FILE        1
#define RSCMUNB_LOG_COM         2

#define RSCMUNB_HSSCCH_HSFN     0
#define RSCMUNB_HSSCCH_UEID     1
   
#define RSCMUNB_L3MSG_EMPT      0
#define RSCMUNB_L3MSG_FULL      1



#ifdef _OUTSIDEVEE_

#define VI_INSTR_WARNING_OFFSET                          (0x3FFC0900L)
#define VI_INSTR_ERROR_OFFSET                  (_VI_ERROR+0x3FFC0900L)

#define RSCMU_LIST_OF_SPECIFIC_ERROR_MESSAGES_NB \
NB_EXPAND(RSCMUNB_ERROR_USER_DATA_INVALID,        (VI_INSTR_ERROR_OFFSET + 0x300L), "The user defined Data is Invalid") \
NB_EXPAND(RSCMUNB_ERROR_INVALID_SIGN_STAT,        (VI_INSTR_ERROR_OFFSET + 0x301L), "The RSCMU is in an internal signalling state where the command is not allowed") \
NB_EXPAND(RSCMUNB_ERROR_INTERPRETING_RESPONSE,    (VI_INSTR_ERROR_OFFSET + 0x302L), "Unable to interpret the instrument response") \
NB_EXPAND(RSCMUNB_ERROR_FW_VERSION,               (VI_INSTR_ERROR_OFFSET + 0x303L), "This function is not compatible with the current CMU firmware") \
NB_EXPAND(RSCMUNB_ERROR_BASEDRIVER_VERSION,       (VI_INSTR_ERROR_OFFSET + 0x304L), "This function is not compatible with the current version of rscmu200 driver") \
NB_EXPAND(RSCMUNB_ERROR_NBRIVER_VERSION,          (VI_INSTR_ERROR_OFFSET + 0x305L), "This function is not compatible with the current version of this driver") \
NB_EXPAND(RSCMUNB_ERROR_INITIATE_FAILED,          (VI_INSTR_ERROR_OFFSET + 0x306L), "The INITIATE command failed") \
NB_EXPAND(RSCMUNB_ERROR_ABORT_FAILED,             (VI_INSTR_ERROR_OFFSET + 0x307L), "The ABORT command failed") \
NB_EXPAND(RSCMUNB_ERROR_STOP_FAILED,              (VI_INSTR_ERROR_OFFSET + 0x308L), "The STOP command failed") \
NB_EXPAND(RSCMUNB_ERROR_CONTINUE_FAILED,          (VI_INSTR_ERROR_OFFSET + 0x309L), "The CONTINUE command failed") \
NB_EXPAND(RSCMUNB_WARNING_DRIVER_FUNCTION,        (VI_INSTR_WARNING_OFFSET + 0x300L), "Warning: This function is not compatible with the current CMU firmware")


typedef enum {
#define NB_EXPAND(id, value, text) id = value,
    RSCMU_LIST_OF_SPECIFIC_ERROR_MESSAGES_NB
#undef NB_EXPAND
} RSCMU_ErrorList_NB;

#endif // _OUTSIDEVEE_

/************************************************************/

ViStatus _VI_FUNC RSCMUNB_errorMessage (ViSession  instrSession,
                                        ViStatus   statusCode,
                                        ViChar _VI_FAR  message[]);
ViStatus _VI_FUNC RSCMUNB_Get_NB_FW_Version(ViSession instrSession,
                                            ViPInt32 fgFwVersion,
                                            ViPInt32 baseFwVersion);
ViStatus _VI_FUNC RSCMUNB_RevisionQuery (ViSession  instrSession,
                                         ViChar driverRev[],
                                         ViChar instrRev[],
                                         ViChar errorMessage[]);
ViStatus _VI_FUNC RSCMUNB_OptionQueryK75 (ViSession instrumentHandle,
                                         ViPBoolean optAvailable,
                                         ViChar errorMessage[]);
ViStatus _VI_FUNC RSCMUNB_OptionQueryK76 (ViSession instrumentHandle,
                                          ViPBoolean optAvailable,
                                          ViChar errorMessage[]);

/************************************************************/
ViStatus _VI_FUNC RSCMUNB_Init_NB_NSig (ViSession instrumentHandle_Base,
                                        ViPSession instrumentHandle_NBNSig,
                                        ViUInt32 functionGroupName,
                                        ViChar _VI_FAR errorMessage[]);
ViStatus _VI_FUNC RSCMUNB_Init_NB_Sig (ViSession instrumentHandle_Base,
                                       ViPSession instrumentHandle_NBSig,
                                       ViChar _VI_FAR errorMessage[]);
ViStatus _VI_FUNC RSCMUNB_SigNsig_ConfCdpFchd (ViSession instrumentHandle,
                                               ViInt32 testModel,
                                               ViChar _VI_FAR errorMessage[]);
ViStatus _VI_FUNC RSCMUNB_SigNsig_DefCdpCont (ViSession instrumentHandle,
                                              ViChar _VI_FAR errorMessage[]);
ViStatus _VI_FUNC RSCMUNB_SigNsig_CalcCdpCdpMatcLim (ViSession instrumentHandle,
                                                     ViInt32 _VI_FAR errorVectorMagnitude[],
                                                     ViInt32 _VI_FAR PCDError[],
                                                     ViInt32 _VI_FAR IQOriginOffsetCurrent[],
                                                     ViInt32 _VI_FAR IQImbalance[],
                                                     ViInt32 _VI_FAR carrierFrequencyError[],
                                                     ViChar _VI_FAR errorMessage[]);
ViStatus _VI_FUNC RSCMUNB_SigNsig_DefCdpPcdeCont (ViSession instrumentHandle,
                                                  ViChar _VI_FAR errorMessage[]);
ViStatus _VI_FUNC RSCMUNB_SigNsig_CalcCdpPcdMatcLim (ViSession instrumentHandle,
                                                     ViInt32 _VI_FAR errorVectorMagnitude[],
                                                     ViInt32 _VI_FAR PCDError[],
                                                     ViInt32 _VI_FAR IQOriginOffsetCurrent[],
                                                     ViInt32 _VI_FAR IQImbalance[],
                                                     ViInt32 _VI_FAR carrierFrequencyError[],
                                                     ViChar _VI_FAR errorMessage[]);
ViStatus _VI_FUNC RSCMUNB_SigNsig_ConfModFchd (ViSession instrumentHandle,
                                               ViInt32 testModel,
                                               ViChar _VI_FAR errorMessage[]);
ViStatus _VI_FUNC RSCMUNB_SigNsig_DefModOverWcdmaCont (ViSession instrumentHandle,
                                                       ViChar _VI_FAR errorMessage[]);
ViStatus _VI_FUNC RSCMUNB_SigNsig_CalcModOvwMatcLim (ViSession instrumentHandle,
                                                     ViInt32 _VI_FAR EVM_Peak[],
                                                     ViInt32 _VI_FAR EVM_RMS[],
                                                     ViInt32 _VI_FAR magnError_Peak[],
                                                     ViInt32 _VI_FAR magnError_RMS[],
                                                     ViInt32 _VI_FAR phaseError_Peak[],
                                                     ViInt32 _VI_FAR phaseError_RMS[],
                                                     ViInt32 _VI_FAR IQOriginOffsetCurrent[],
                                                     ViInt32 _VI_FAR IQImbalance[],
                                                     ViInt32 _VI_FAR frequencyError[],
                                                     ViInt32 _VI_FAR waveformQuality[],
                                                     ViChar _VI_FAR errorMessage[]);
ViStatus _VI_FUNC RSCMUNB_SigNsig_DefModEvmWcdmCont (ViSession instrumentHandle,
                                                     ViChar _VI_FAR errorMessage[]);
ViStatus _VI_FUNC RSCMUNB_SigNsig_CalcModEvmMatcLim (ViSession instrumentHandle,
                                                     ViInt32 _VI_FAR EVM_Peak[],
                                                     ViInt32 _VI_FAR EVM_RMS[],
                                                     ViInt32 _VI_FAR IQOriginOffsetCurrent[],
                                                     ViInt32 _VI_FAR IQImbalance[],
                                                     ViInt32 _VI_FAR frequencyError[],
                                                     ViChar _VI_FAR errorMessage[]);
ViStatus _VI_FUNC RSCMUNB_SigNsig_DefModMerrWcdmaCont (ViSession instrumentHandle,
                                                       ViChar _VI_FAR errorMessage[]);
ViStatus _VI_FUNC RSCMUNB_SigNsig_CalcModMerrMatcLim (ViSession instrumentHandle,
                                                      ViInt32 _VI_FAR magnError_Peak[],
                                                      ViInt32 _VI_FAR magnError_RMS[],
                                                      ViInt32 _VI_FAR IQOriginOffsetCurrent[],
                                                      ViInt32 _VI_FAR IQImbalance[],
                                                      ViInt32 _VI_FAR frequencyError[],
                                                      ViChar _VI_FAR errorMessage[]);
ViStatus _VI_FUNC RSCMUNB_SigNsig_DefModPerrWcdmaCont (ViSession instrumentHandle,
                                                       ViChar _VI_FAR errorMessage[]);
ViStatus _VI_FUNC RSCMUNB_SigNsig_CalcModPerrMatcLim (ViSession instrumentHandle,
                                                      ViInt32 _VI_FAR phaseError_Peak[],
                                                      ViInt32 _VI_FAR phaseError_RMS[],
                                                      ViInt32 _VI_FAR IQOriginOffsetCurrent[],
                                                      ViInt32 _VI_FAR IQImbalance[],
                                                      ViInt32 _VI_FAR frequencyError[],
                                                      ViChar _VI_FAR errorMessage[]);
ViStatus _VI_FUNC RSCMUNB_SigNsig_ConfCdpLimScalAll (ViSession instrumentHandle,
                                                     ViInt32 statisticalType,
                                                     ViReal64 errorVectorMagn_Peak_,
                                                     ViReal64 errorVectorMagn_RMS_,
                                                     ViReal64 magnitudeError_Peak_,
                                                     ViReal64 magnitudeError_RMS_,
                                                     ViReal64 phaseError_Peak_Deg,
                                                     ViReal64 phaseError_RMS_Deg,
                                                     ViReal64 iQOriginOffsetdB,
                                                     ViReal64 iQImbalancedB,
                                                     ViReal64 carrierFrequencyErrorHz,
                                                     ViReal64 waveformQuality,
                                                     ViChar _VI_FAR errorMessage[]);
ViStatus _VI_FUNC RSCMUNB_SigNsig_ConfCdpLimScal (ViSession instrumentHandle,
                                                  ViInt32 selectParameter,
                                                  ViInt32 statisticalType,
                                                  ViInt32 enableLimit,
                                                  ViReal64 limitValue,
                                                  ViChar _VI_FAR errorMessage[]);
ViStatus _VI_FUNC RSCMUNB_SigNsig_DefModOempWcdmaLim (ViSession instrumentHandle,
                                                      ViChar _VI_FAR errorMessage[]);
ViStatus _VI_FUNC RSCMUNB_Nsig_RfanChan (ViSession instrumentHandle,
                                         ViInt32 channelNumber,
                                         ViChar _VI_FAR errorMessage[]);
ViStatus _VI_FUNC RSCMUNB_Nsig_RfanFreq (ViSession instrumentHandle, ViUInt32 unit,
                                         ViReal64 frequency,
                                         ViChar _VI_FAR errorMessage[]);
ViStatus _VI_FUNC RSCMUNB_Nsig_RfanFoff (ViSession instrumentHandle,
                                         ViReal64 frequency_Hz,
                                         ViChar _VI_FAR errorMessage[]);
ViStatus _VI_FUNC RSCMUNB_Nsig_SourRfgTSynch (ViSession instrumentHandle,
                                              ViPInt32 triggerSynchronized,
                                              ViChar _VI_FAR errorMessage[]);
ViStatus _VI_FUNC RSCMUNB_Nsig_SourRfgLevTtp (ViSession instrumentHandle,
                                              ViReal64 totalTransmitPower_dBm,
                                              ViChar _VI_FAR errorMessage[]);
ViStatus _VI_FUNC RSCMUNB_Nsig_SourRfgLevDpcc (ViSession instrumentHandle,
                                               ViReal64 levelDPCCH_dBm,
                                               ViChar _VI_FAR errorMessage[]);
ViStatus _VI_FUNC RSCMUNB_Nsig_GetSourRfgLevDpdc (ViSession instrumentHandle,
                                                  ViPReal64 levelDPDCH_dBm,
                                                  ViChar _VI_FAR errorMessage[]);
ViStatus _VI_FUNC RSCMUNB_Nsig_SourRfgLevAwgn (ViSession instrumentHandle,
                                               ViInt32 AWGN,
                                               ViChar _VI_FAR errorMessage[]);
ViStatus _VI_FUNC RSCMUNB_Nsig_SourRfgLevNoise (ViSession instrumentHandle,
                                                ViReal64 noiseLevel_dBm,
                                                ViChar _VI_FAR errorMessage[]);
ViStatus _VI_FUNC RSCMUNB_Nsig_RfgChan (ViSession instrumentHandle,
                                        ViInt32 channelNumber,
                                        ViChar _VI_FAR errorMessage[]);
ViStatus _VI_FUNC RSCMUNB_Nsig_RfgFreq (ViSession instrumentHandle, ViUInt32 unit,
                                        ViReal64 frequency,
                                        ViChar _VI_FAR errorMessage[]);
ViStatus _VI_FUNC RSCMUNB_Nsig_RfgFoff (ViSession instrumentHandle,
                                        ViReal64 frequency_Hz,
                                        ViChar _VI_FAR errorMessage[]);
ViStatus _VI_FUNC RSCMUNB_Nsig_SourRfgDchMode (ViSession instrumentHandle,
                                               ViUInt32 dedicatedChannelMode,
                                               ViChar _VI_FAR errorMessage[]);
ViStatus _VI_FUNC RSCMUNB_Nsig_SourRfgDchScodVal (ViSession instrumentHandle,
                                                  ViUInt32 codeLength,
                                                  ViUInt32 scramblingCode,
                                                  ViChar _VI_FAR errorMessage[]);
ViStatus _VI_FUNC RSCMUNB_Nsig_SourRfgDchTcel (ViSession instrumentHandle,
                                               ViUInt32 BFNCPICHOffset256Chips,
                                               ViChar _VI_FAR errorMessage[]);
ViStatus _VI_FUNC RSCMUNB_Nsig_SourRfgDchTdch (ViSession instrumentHandle,
                                               ViUInt32 CPICHDLDCHOffset256Chips,
                                               ViChar _VI_FAR errorMessage[]);
ViStatus _VI_FUNC RSCMUNB_Nsig_SourRfgDchRtd (ViSession instrumentHandle,
                                              ViUInt32 roundTripDelay14Chips,
                                              ViChar _VI_FAR errorMessage[]);
ViStatus _VI_FUNC RSCMUNB_Nsig_SourRfgDchUlpc (ViSession instrumentHandle,
                                               ViUInt32 mode, ViUInt32 TPCStepsize,
                                               ViChar _VI_FAR errorMessage[]);
ViStatus _VI_FUNC RSCMUNB_Nsig_SourRfgDchUldp (ViSession instrumentHandle,
                                               ViReal64 CPICHULDPCHOffset,
                                               ViChar _VI_FAR errorMessage[]);
ViStatus _VI_FUNC RSCMUNB_Nsig_SourRfgGpprCtyp (ViSession instrumentHandle,
                                                ViInt32 referenceChannelType,
                                                ViChar _VI_FAR errorMessage[]);
ViStatus _VI_FUNC RSCMUNB_Nsig_SourRfgGpprCdsDtch (ViSession instrumentHandle,
                                                   ViUInt32 channelDataSourceDTCH,
                                                   ViChar _VI_FAR errorMessage[]);
ViStatus _VI_FUNC RSCMUNB_Nsig_SourRfgGpprTfci (ViSession instrumentHandle,
                                                ViUInt32 TFCIBits,
                                                ViChar _VI_FAR errorMessage[]);
ViStatus _VI_FUNC RSCMUNB_Nsig_SourRfgGpprBbv (ViSession instrumentHandle,
                                               ViInt32 BERBLERVerificationMode,
                                               ViChar _VI_FAR errorMessage[]);
ViStatus _VI_FUNC RSCMUNB_Nsig_SourRfgGpprBerBlerV (ViSession instrumentHandle,
                                                    ViInt32 verificationMode,
                                                    ViReal64 value,
                                                    ViChar _VI_FAR errorMessage[]);
ViStatus _VI_FUNC RSCMUNB_Nsig_SourRfgLevRcdGppr (ViSession instrumentHandle,
                                                  ViPReal64 powerRatio,
                                                  ViChar _VI_FAR errorMessage[]);
ViStatus _VI_FUNC RSCMUNB_Nsig_SourRfgPchDpccTfciCwor (ViSession instrumentHandle,
                                                       ViUInt32 TFCICodeWord,
                                                       ViChar _VI_FAR errorMessage[]);
ViStatus _VI_FUNC RSCMUNB_Nsig_SourRfgPchDpccTpcDpcm (ViSession instrumentHandle,
                                                      ViUInt32 downlinkPowerControlMode,
                                                      ViChar _VI_FAR errorMessage[]);
ViStatus _VI_FUNC RSCMUNB_Nsig_SourRfgPchDpccTpcRom (ViSession instrumentHandle,
                                                     ViUInt32 readOutMode,
                                                     ViChar _VI_FAR errorMessage[]);
ViStatus _VI_FUNC RSCMUNB_Nsig_SourRfgPchDpccTpcPatt (ViSession instrumentHandle,
                                                      ViUInt32 patternLength,
                                                      ViUInt32 pattern,
                                                      ViChar _VI_FAR errorMessage[]);
ViStatus _VI_FUNC RSCMUNB_Nsig_SourRfgPchDpdcCds (ViSession instrumentHandle,
                                                  ViUInt32 channelDataSourceDPDCH,
                                                  ViChar _VI_FAR errorMessage[]);
ViStatus _VI_FUNC RSCMUNB_Nsig_SourRfgPchDpdcSrat (ViSession instrumentHandle,
                                                   ViUInt32 symbolRate,
                                                   ViChar _VI_FAR errorMessage[]);
ViStatus _VI_FUNC RSCMUNB_Nsig_RfgInit (ViSession instrumentHandle,
                                        ViChar _VI_FAR errorMessage[]);
ViStatus _VI_FUNC RSCMUNB_Nsig_RfgAbor (ViSession instrumentHandle,
                                        ViChar _VI_FAR errorMessage[]);
ViStatus _VI_FUNC RSCMUNB_Nsig_FetcRfgStat (ViSession instrumentHandle,
                                            ViPInt32 generatorStatus,
                                            ViChar _VI_FAR errorMessage[]);
ViStatus _VI_FUNC RSCMUNB_Nsig_ConfNbAdiv (ViSession instrumentHandle,
                                           ViUInt32 antenna_diversity,
                                           ViChar _VI_FAR errorMessage[]);
ViStatus _VI_FUNC RSCMUNB_Nsig_ConfNbDchScod (ViSession instrumentHandle,
                                              ViUInt32 primaryScramblingCode,
                                              ViUInt32 secondaryScramblingCode,
                                              ViChar _VI_FAR errorMessage[]);
ViStatus _VI_FUNC RSCMUNB_Nsig_InpStat (ViSession instrumentHandle,
                                        ViUInt32 inputConnector,
                                        ViChar _VI_FAR errorMessage[]);
ViStatus _VI_FUNC RSCMUNB_Nsig_SensCorrLossInpMagn (ViSession instrumentHandle,
                                                    ViUInt32 inputConnector,
                                                    ViReal64 inputAttenuation,
                                                    ViChar _VI_FAR errorMessage[]);
ViStatus _VI_FUNC RSCMUNB_Nsig_OutpStat (ViSession instrumentHandle,
                                         ViUInt32 outputConnector,
                                         ViChar _VI_FAR errorMessage[]);
ViStatus _VI_FUNC RSCMUNB_Nsig_SourCorrLossOutpMagn (ViSession instrumentHandle,
                                                     ViUInt32 outputConnector,
                                                     ViReal64 outputAttenuation,
                                                     ViChar _VI_FAR errorMessage[]);
ViStatus _VI_FUNC RSCMUNB_Nsig_SourDmCloc (ViSession instrumentHandle,
                                           ViUInt32 refOut2Mode,
                                           ViReal64 referenceFrequency,
                                           ViChar _VI_FAR errorMessage[]);
ViStatus _VI_FUNC RSCMUNB_Nsig_ConfMeasTrigSour (ViSession instrumentHandle,
                                                 ViInt32 triggerSource,
                                                 ViChar _VI_FAR errorMessage[]);
ViStatus _VI_FUNC RSCMUNB_Nsig_ConfMeasTrigPol (ViSession instrumentHandle,
                                                ViInt32 polarity,
                                                ViChar _VI_FAR errorMessage[]);
ViStatus _VI_FUNC RSCMUNB_Nsig_ConfMeasTrigSoff (ViSession instrumentHandle,
                                                 ViInt32 slotOffset_Slots,
                                                 ViChar _VI_FAR errorMessage[]);
ViStatus _VI_FUNC RSCMUNB_Nsig_ConfMeasTrigCdel (ViSession instrumentHandle,
                                                 ViInt32 chipDelay,
                                                 ViChar _VI_FAR errorMessage[]);
ViStatus _VI_FUNC RSCMUNB_Nsig_TrigSeqSour (ViSession instrumentHandle,
                                            ViInt32 triggerSource,
                                            ViChar _VI_FAR errorMessage[]);
ViStatus _VI_FUNC RSCMUNB_Nsig_ConfExtTrigSyncPol (ViSession instrumentHandle,
                                                   ViInt32 polarity,
                                                   ViChar _VI_FAR errorMessage[]);
ViStatus _VI_FUNC RSCMUNB_Nsig_ConfExtTrigSyncSoff (ViSession instrumentHandle,
                                                    ViInt32 slotOffset_Slots,
                                                    ViChar _VI_FAR errorMessage[]);
ViStatus _VI_FUNC RSCMUNB_Nsig_ConfExtTrigSyncCdel (ViSession instrumentHandle,
                                                    ViInt32 chipDelay_14Chips,
                                                    ViChar _VI_FAR errorMessage[]);
ViStatus _VI_FUNC RSCMUNB_Nsig_EpowVal (ViSession instrumentHandle,
                                        ViReal64 expectedPower_dBm,
                                        ViChar _VI_FAR errorMessage[]);
ViStatus _VI_FUNC RSCMUNB_Nsig_EpowMode (ViSession instrumentHandle,
                                         ViInt32 expectedPowerMode,
                                         ViChar _VI_FAR errorMessage[]);
ViStatus _VI_FUNC RSCMUNB_Nsig_EpowAtt (ViSession instrumentHandle,
                                        ViInt32 expectedPowerAttenuation,
                                        ViChar _VI_FAR errorMessage[]);
ViStatus _VI_FUNC RSCMUNB_Nsig_DefEpow (ViSession instrumentHandle,
                                        ViChar _VI_FAR errorMessage[]);
ViStatus _VI_FUNC RSCMUNB_Nsig_ConfCdpLimScal (ViSession instrumentHandle,
                                               ViInt32 statisticalType,
                                               ViInt32 enableIQOriginOffsetLimit,
                                               ViReal64 limit_forIQOriginOffset,
                                               ViInt32 enableIQImbalanceLimit,
                                               ViReal64 limit_forIQImbalance,
                                               ViInt32 enableCarrFrequErrLimit,
                                               ViReal64 limit_forCarrFrequErr,
                                               ViInt32 enableEVMLimit,
                                               ViReal64 limit_forEVM,
                                               ViInt32 enableIQPCDELimit,
                                               ViReal64 limit_forPCDE,
                                               ViChar _VI_FAR errorMessage[]);
ViStatus _VI_FUNC RSCMUNB_Nsig_ConfCdpTmod (ViSession instrumentHandle,
                                            ViInt32 testModel,
                                            ViChar _VI_FAR errorMessage[]);
ViStatus _VI_FUNC RSCMUNB_Nsig_ConfCdpCdpwContRmod (ViSession instrumentHandle,
                                                    ViInt32 resultMode,
                                                    ViChar _VI_FAR errorMessage[]);
ViStatus _VI_FUNC RSCMUNB_Nsig_ConfCdpCdpwContStat (ViSession instrumentHandle,
                                                    ViInt32 statisticalDepth,
                                                    ViChar _VI_FAR errorMessage[]);
ViStatus _VI_FUNC RSCMUNB_Nsig_ConfCdpCdpwContRep (ViSession instrumentHandle,
                                                   ViInt32 repetitionMode,
                                                   ViInt32 stopCondition,
                                                   ViChar _VI_FAR errorMessage[]);
ViStatus _VI_FUNC RSCMUNB_Nsig_ConfCdpCdpwContErep (ViSession instrumentHandle,
                                                    ViInt32 eventReporting,
                                                    ViChar _VI_FAR errorMessage[]);
ViStatus _VI_FUNC RSCMUNB_Nsig_ConfCdpCdpwContCdpm (ViSession instrumentHandle,
                                                    ViInt32 CDPMode,
                                                    ViChar _VI_FAR errorMessage[]);
ViStatus _VI_FUNC RSCMUNB_Nsig_ConfCdpCdpwContUnit (ViSession instrumentHandle,
                                                    ViInt32 unit,
                                                    ViChar _VI_FAR errorMessage[]);
ViStatus _VI_FUNC RSCMUNB_Nsig_ConfCdpCdpwContCch (ViSession instrumentHandle,
                                                   ViInt32 codeChannel,
                                                   ViChar _VI_FAR errorMessage[]);
ViStatus _VI_FUNC RSCMUNB_Nsig_ConfCdpCdpwContCpic (ViSession instrumentHandle,
                                                    ViInt32 CPICHSlot,
                                                    ViChar _VI_FAR errorMessage[]);
ViStatus _VI_FUNC RSCMUNB_Nsig_InitCdp (ViSession instrumentHandle,
                                        ViChar _VI_FAR errorMessage[]);
ViStatus _VI_FUNC RSCMUNB_Nsig_AborCdp (ViSession instrumentHandle,
                                        ViChar _VI_FAR errorMessage[]);
ViStatus _VI_FUNC RSCMUNB_Nsig_StopCdp (ViSession instrumentHandle,
                                        ViChar _VI_FAR errorMessage[]);
ViStatus _VI_FUNC RSCMUNB_Nsig_ContCdp (ViSession instrumentHandle,
                                        ViChar _VI_FAR errorMessage[]);
ViStatus _VI_FUNC RSCMUNB_Nsig_FetcScalCdpCdpStat (ViSession instrumentHandle,
                                                   ViPInt32 measurementStatus,
                                                   ViPInt32 counter_for_current_statistics,
                                                   ViChar _VI_FAR errorMessage[]);
ViStatus _VI_FUNC RSCMUNB_Nsig_GetScalCdpCdpResults (ViSession instrumentHandle,
                                                     ViUInt32 mode,
                                                     ViPReal64 timingOffset,
                                                     ViReal64 _VI_FAR arrayOfResults[],
                                                     ViChar _VI_FAR errorMessage[]);
ViStatus _VI_FUNC RSCMUNB_Nsig_GetArrCdpCdpChanResults (ViSession instrumentHandle,
                                                        ViUInt32 mode,
                                                        ViUInt32 statisticMode,
                                                        ViReal64 _VI_FAR arrayOfResults[],
                                                        ViChar _VI_FAR errorMessage[]);
ViStatus _VI_FUNC RSCMUNB_Nsig_GetArrCdpCdpSlotResults (ViSession instrumentHandle,
                                                        ViUInt32 mode,
                                                        ViUInt32 statisticMode,
                                                        ViReal64 _VI_FAR arrayOfResults[],
                                                        ViChar _VI_FAR errorMessage[]);
ViStatus _VI_FUNC RSCMUNB_Nsig_ConfCdpPcdeContStat (ViSession instrumentHandle,
                                                    ViInt32 statisticalDepth,
                                                    ViChar _VI_FAR errorMessage[]);
ViStatus _VI_FUNC RSCMUNB_Nsig_ConfCdpPcdeContRep (ViSession instrumentHandle,
                                                   ViInt32 repetitionMode,
                                                   ViInt32 stopCondition,
                                                   ViChar _VI_FAR errorMessage[]);
ViStatus _VI_FUNC RSCMUNB_Nsig_ConfCdpPcdeContErep (ViSession instrumentHandle,
                                                    ViInt32 eventReporting,
                                                    ViChar _VI_FAR errorMessage[]);
ViStatus _VI_FUNC RSCMUNB_Nsig_ConfCdpPcdeContSfac (ViSession instrumentHandle,
                                                    ViInt32 spreadingFactor,
                                                    ViChar _VI_FAR errorMessage[]);
ViStatus _VI_FUNC RSCMUNB_Nsig_ConfCdpPcdeContCpic (ViSession instrumentHandle,
                                                    ViInt32 CPICHSlot,
                                                    ViChar _VI_FAR errorMessage[]);
ViStatus _VI_FUNC RSCMUNB_Nsig_InitPcd (ViSession instrumentHandle,
                                        ViChar _VI_FAR errorMessage[]);
ViStatus _VI_FUNC RSCMUNB_Nsig_AborPcd (ViSession instrumentHandle,
                                        ViChar _VI_FAR errorMessage[]);
ViStatus _VI_FUNC RSCMUNB_Nsig_StopPcd (ViSession instrumentHandle,
                                        ViChar _VI_FAR errorMessage[]);
ViStatus _VI_FUNC RSCMUNB_Nsig_ContPcd (ViSession instrumentHandle,
                                        ViChar _VI_FAR errorMessage[]);
ViStatus _VI_FUNC RSCMUNB_Nsig_FetcScalCdpPcdStat (ViSession instrumentHandle,
                                                   ViPInt32 measurementStatus,
                                                   ViPInt32 counter_for_current_statistics,
                                                   ViChar _VI_FAR errorMessage[]);
ViStatus _VI_FUNC RSCMUNB_Nsig_GetScalCdpPcdeResults (ViSession instrumentHandle,
                                                      ViUInt32 mode,
                                                      ViReal64 _VI_FAR arrayOfResults[],
                                                      ViChar _VI_FAR errorMessage[]);
ViStatus _VI_FUNC RSCMUNB_Nsig_GetArrCdpPcdeChanResults (ViSession instrumentHandle,
                                                         ViUInt32 mode,
                                                         ViUInt32 statisticMode,
                                                         ViReal64 _VI_FAR arrayOfResults[],
                                                         ViChar _VI_FAR errorMessage[]);
ViStatus _VI_FUNC RSCMUNB_Nsig_GetArrCdpPcdeSlotResults (ViSession instrumentHandle,
                                                         ViUInt32 mode,
                                                         ViUInt32 statisticMode,
                                                         ViReal64 _VI_FAR arrayOfResults[],
                                                         ViChar _VI_FAR errorMessage[]);
ViStatus _VI_FUNC RSCMUNB_Nsig_ConfSpecAclrContStat (ViSession instrumentHandle,
                                                     ViInt32 statisticalDepth,
                                                     ViChar _VI_FAR errorMessage[]);
ViStatus _VI_FUNC RSCMUNB_Nsig_ConfSpecAclrContRep (ViSession instrumentHandle,
                                                    ViInt32 repetitionMode,
                                                    ViInt32 stopCondition,
                                                    ViChar _VI_FAR errorMessage[]);
ViStatus _VI_FUNC RSCMUNB_Nsig_ConfSpecAclrContErep (ViSession instrumentHandle,
                                                     ViInt32 eventReporting,
                                                     ViChar _VI_FAR errorMessage[]);
ViStatus _VI_FUNC RSCMUNB_Nsig_ConfSpecAclrContScan (ViSession instrumentHandle,
                                                     ViInt32 scanning,
                                                     ViChar _VI_FAR errorMessage[]);
ViStatus _VI_FUNC RSCMUNB_Nsig_ConfSpecAclrContMlen (ViSession instrumentHandle,
                                                     ViInt32 measurementLength,
                                                     ViChar _VI_FAR errorMessage[]);
ViStatus _VI_FUNC RSCMUNB_Nsig_ConfSpecAclrLevLimUpp (ViSession instrumentHandle,
                                                      ViInt32 statisticalType,
                                                      ViInt32 relativeLimitCheck,
                                                      ViInt32 channel,
                                                      ViReal64 upperLimit,
                                                      ViChar _VI_FAR errorMessage[]);
ViStatus _VI_FUNC RSCMUNB_Nsig_InitSpecAclr (ViSession instrumentHandle,
                                             ViChar _VI_FAR errorMessage[]);
ViStatus _VI_FUNC RSCMUNB_Nsig_AborSpecAclr (ViSession instrumentHandle,
                                             ViChar _VI_FAR errorMessage[]);
ViStatus _VI_FUNC RSCMUNB_Nsig_StopSpecAclr (ViSession instrumentHandle,
                                             ViChar _VI_FAR errorMessage[]);
ViStatus _VI_FUNC RSCMUNB_Nsig_ContSpecAclr (ViSession instrumentHandle,
                                             ViChar _VI_FAR errorMessage[]);
ViStatus _VI_FUNC RSCMUNB_Nsig_FetcScalSpecAclrStat (ViSession instrumentHandle,
                                                     ViPInt32 measurementStatus,
                                                     ViPInt32 counter_for_current_statistics,
                                                     ViChar _VI_FAR errorMessage[]);
ViStatus _VI_FUNC RSCMUNB_Nsig_GetSpecAclrResults (ViSession instrumentHandle,
                                                   ViUInt32 mode, ViUInt32 unit,
                                                   ViReal64 _VI_FAR arrayOfResults[],
                                                   ViChar _VI_FAR errorMessage[]);
ViStatus _VI_FUNC RSCMUNB_Nsig_CalcSpecAclrMatcLim (ViSession instrumentHandle,
                                                    ViInt32 _VI_FAR RMSCurrent[],
                                                    ViInt32 _VI_FAR RMSAverage[],
                                                    ViInt32 _VI_FAR RMSMaximum[],
                                                    ViChar _VI_FAR errorMessage[]);
ViStatus _VI_FUNC RSCMUNB_Nsig_ConfSpecObwContRmod (ViSession instrumentHandle,
                                                    ViInt32 resultMode,
                                                    ViChar _VI_FAR errorMessage[]);
ViStatus _VI_FUNC RSCMUNB_Nsig_ConfSpecObwContStat (ViSession instrumentHandle,
                                                    ViInt32 statisticalDepth,
                                                    ViChar _VI_FAR errorMessage[]);
ViStatus _VI_FUNC RSCMUNB_Nsig_ConfSpecObwContRep (ViSession instrumentHandle,
                                                   ViInt32 repetitionMode,
                                                   ViInt32 stopCondition,
                                                   ViChar _VI_FAR errorMessage[]);
ViStatus _VI_FUNC RSCMUNB_Nsig_ConfSpecObwContErep (ViSession instrumentHandle,
                                                    ViInt32 eventReporting,
                                                    ViChar _VI_FAR errorMessage[]);
ViStatus _VI_FUNC RSCMUNB_Nsig_ConfSpecObwObanUpp (ViSession instrumentHandle,
                                                   ViInt32 statisticalType,
                                                   ViInt32 relativeLimitCheck,
                                                   ViReal64 upperLimit,
                                                   ViChar _VI_FAR errorMessage[]);
ViStatus _VI_FUNC RSCMUNB_Nsig_InitSpecObw (ViSession instrumentHandle,
                                            ViChar _VI_FAR errorMessage[]);
ViStatus _VI_FUNC RSCMUNB_Nsig_AborSpecObw (ViSession instrumentHandle,
                                            ViChar _VI_FAR errorMessage[]);
ViStatus _VI_FUNC RSCMUNB_Nsig_StopSpecObw (ViSession instrumentHandle,
                                            ViChar _VI_FAR errorMessage[]);
ViStatus _VI_FUNC RSCMUNB_Nsig_ContSpecObw (ViSession instrumentHandle,
                                            ViChar _VI_FAR errorMessage[]);
ViStatus _VI_FUNC RSCMUNB_Nsig_FetcScalSpecObwStat (ViSession instrumentHandle,
                                                    ViPInt32 measurementStatus,
                                                    ViPInt32 counter_for_current_statistics,
                                                    ViChar _VI_FAR errorMessage[]);
ViStatus _VI_FUNC RSCMUNB_Nsig_DefSpecObwCont (ViSession instrumentHandle,
                                               ViChar _VI_FAR errorMessage[]);
ViStatus _VI_FUNC RSCMUNB_NSig_ConfSubSpecObw (ViSession instrumentHandle,
                                               ViInt32 mode,
                                               ViInt32 number_ofSubranges,
                                               ViInt32 _VI_FAR startWFSS[],
                                               ViInt32 _VI_FAR samplesWFSS[],
                                               ViChar _VI_FAR errorMessage[]);
ViStatus _VI_FUNC RSCMUNB_Nsig_GetScalSpecOBWResults (ViSession instrumentHandle,
                                                      ViUInt32 mode,
                                                      ViReal64 _VI_FAR arrayOfResults[],
                                                      ViChar _VI_FAR errorMessage[]);
ViStatus _VI_FUNC RSCMUNB_Nsig_GetArrSpecOBWResults (ViSession instrumentHandle,
                                                     ViUInt32 mode,
                                                     ViReal64 _VI_FAR arrayOfResults[],
                                                     ViChar _VI_FAR errorMessage[]);
ViStatus _VI_FUNC RSCMUNB_Nsig_GetSubArrSpecOBWResults (ViSession instrumentHandle,
                                                        ViUInt32 mode,
                                                        ViReal64 _VI_FAR arrayOfResults[],
                                                        ViChar _VI_FAR errorMessage[]);
ViStatus _VI_FUNC RSCMUNB_Nsig_CalcSpecObwMatcLim (ViSession instrumentHandle,
                                                   ViInt32 _VI_FAR OBWCurrent[],
                                                   ViInt32 _VI_FAR OBWAverage[],
                                                   ViInt32 _VI_FAR OBWMaximum[],
                                                   ViChar _VI_FAR errorMessage[]);
ViStatus _VI_FUNC RSCMUNB_Nsig_ConfSpecEmaskContRmod (ViSession instrumentHandle,
                                                      ViInt32 resultMode,
                                                      ViChar _VI_FAR errorMessage[]);
ViStatus _VI_FUNC RSCMUNB_Nsig_ConfSpecEmaskContStat (ViSession instrumentHandle,
                                                      ViInt32 statisticalDepth,
                                                      ViChar _VI_FAR errorMessage[]);
ViStatus _VI_FUNC RSCMUNB_Nsig_ConfSpecEmaskContRep (ViSession instrumentHandle,
                                                     ViInt32 repetitionMode,
                                                     ViInt32 stopCondition,
                                                     ViInt32 stepMode,
                                                     ViChar _VI_FAR errorMessage[]);
ViStatus _VI_FUNC RSCMUNB_Nsig_ConfSpecEmaskContErep (ViSession instrumentHandle,
                                                      ViInt32 eventReporting,
                                                      ViChar _VI_FAR errorMessage[]);
ViStatus _VI_FUNC RSCMUNB_Nsig_ConfSpecEmasLimSel (ViSession instrumentHandle,
                                                   ViInt32 emissionMask,
                                                   ViChar _VI_FAR errorMessage[]);
ViStatus _VI_FUNC RSCMUNB_Nsig_ConfSpecEmasAverLimLinAsymUpp
             (ViSession instrumentHandle, ViInt32 displayMode,
              ViInt32 _VI_FAR level[], ViReal64 _VI_FAR levelValue[],
              ViBoolean _VI_FAR checkLimit[], ViChar _VI_FAR errorMessage[]);
ViStatus _VI_FUNC RSCMUNB_Nsig_DefSpecEmasLimLine (ViSession instrumentHandle,
                                                   ViChar _VI_FAR errorMessage[]);
ViStatus _VI_FUNC RSCMUNB_Nsig_InitSpecEmask (ViSession instrumentHandle,
                                              ViChar _VI_FAR errorMessage[]);
ViStatus _VI_FUNC RSCMUNB_Nsig_AborSpecEmask (ViSession instrumentHandle,
                                              ViChar _VI_FAR errorMessage[]);
ViStatus _VI_FUNC RSCMUNB_Nsig_StopSpecEmask (ViSession instrumentHandle,
                                              ViChar _VI_FAR errorMessage[]);
ViStatus _VI_FUNC RSCMUNB_Nsig_ContSpecEmask (ViSession instrumentHandle,
                                              ViChar _VI_FAR errorMessage[]);
ViStatus _VI_FUNC RSCMUNB_Nsig_FetcScalSpecEmaskStat (ViSession instrumentHandle,
                                                      ViPInt32 measurementStatus,
                                                      ViPInt32 counter_for_current_statistics,
                                                      ViChar _VI_FAR errorMessage[]);
ViStatus _VI_FUNC RSCMUNB_Nsig_GetScalSpecEmaskResults (ViSession instrumentHandle,
                                                        ViUInt32 mode,
                                                        ViReal64 _VI_FAR arrayOfResults[],
                                                        ViChar _VI_FAR errorMessage[]);
ViStatus _VI_FUNC RSCMUNB_Nsig_GetArrSpecEmaskResults (ViSession instrumentHandle,
                                                       ViUInt32 mode,
                                                       ViUInt32 statisticMode,
                                                       ViReal64 _VI_FAR arrayOfResults[],
                                                       ViChar _VI_FAR errorMessage[]);
ViStatus _VI_FUNC RSCMUNB_Nsig_ConfModTmod (ViSession instrumentHandle,
                                            ViInt32 testModel,
                                            ViChar _VI_FAR errorMessage[]);
ViStatus _VI_FUNC RSCMUNB_Nsig_ConfModOvwContStat (ViSession instrumentHandle,
                                                   ViInt32 statisticalDepth,
                                                   ViChar _VI_FAR errorMessage[]);
ViStatus _VI_FUNC RSCMUNB_Nsig_ConfModOvwContRep (ViSession instrumentHandle,
                                                  ViInt32 repetitionMode,
                                                  ViInt32 stopCondition,
                                                  ViChar _VI_FAR errorMessage[]);
ViStatus _VI_FUNC RSCMUNB_Nsig_ConfModOvwContErep (ViSession instrumentHandle,
                                                   ViInt32 eventReporting,
                                                   ViChar _VI_FAR errorMessage[]);
ViStatus _VI_FUNC RSCMUNB_Nsig_ConfModOvwContCpic (ViSession instrumentHandle,
                                                   ViInt32 CPICHSlot,
                                                   ViChar _VI_FAR errorMessage[]);
ViStatus _VI_FUNC RSCMUNB_Nsig_InitModOvw (ViSession instrumentHandle,
                                           ViChar _VI_FAR errorMessage[]);
ViStatus _VI_FUNC RSCMUNB_Nsig_AborModOvw (ViSession instrumentHandle,
                                           ViChar _VI_FAR errorMessage[]);
ViStatus _VI_FUNC RSCMUNB_Nsig_StopModOvw (ViSession instrumentHandle,
                                           ViChar _VI_FAR errorMessage[]);
ViStatus _VI_FUNC RSCMUNB_Nsig_ContModOvw (ViSession instrumentHandle,
                                           ViChar _VI_FAR errorMessage[]);
ViStatus _VI_FUNC RSCMUNB_Nsig_FetcScalModOvwStat (ViSession instrumentHandle,
                                                   ViPInt32 measurementStatus,
                                                   ViPInt32 counter_for_current_statistics,
                                                   ViChar _VI_FAR errorMessage[]);
ViStatus _VI_FUNC RSCMUNB_Nsig_GetScalModOvwResults (ViSession instrumentHandle,
                                                     ViUInt32 mode,
                                                     ViReal64 _VI_FAR arrayOfResults[],
                                                     ViChar _VI_FAR errorMessage[]);
ViStatus _VI_FUNC RSCMUNB_Nsig_ConfModEvmContStat (ViSession instrumentHandle,
                                                   ViInt32 statisticalDepth,
                                                   ViChar _VI_FAR errorMessage[]);
ViStatus _VI_FUNC RSCMUNB_Nsig_ConfModEvmContRep (ViSession instrumentHandle,
                                                  ViInt32 repetitionMode,
                                                  ViInt32 stopCondition,
                                                  ViChar _VI_FAR errorMessage[]);
ViStatus _VI_FUNC RSCMUNB_Nsig_ConfModEvmContErep (ViSession instrumentHandle,
                                                   ViInt32 eventReporting,
                                                   ViChar _VI_FAR errorMessage[]);
ViStatus _VI_FUNC RSCMUNB_Nsig_ConfModEvmContCpic (ViSession instrumentHandle,
                                                   ViInt32 CPICHSlot,
                                                   ViChar _VI_FAR errorMessage[]);
ViStatus _VI_FUNC RSCMUNB_Nsig_InitModEvm (ViSession instrumentHandle,
                                           ViChar _VI_FAR errorMessage[]);
ViStatus _VI_FUNC RSCMUNB_Nsig_AborModEvm (ViSession instrumentHandle,
                                           ViChar _VI_FAR errorMessage[]);
ViStatus _VI_FUNC RSCMUNB_Nsig_StopModEvm (ViSession instrumentHandle,
                                           ViChar _VI_FAR errorMessage[]);
ViStatus _VI_FUNC RSCMUNB_Nsig_ContModEvm (ViSession instrumentHandle,
                                           ViChar _VI_FAR errorMessage[]);
ViStatus _VI_FUNC RSCMUNB_Nsig_FetcScalModEvmStat (ViSession instrumentHandle,
                                                   ViPInt32 measurementStatus,
                                                   ViPInt32 counter_for_current_statistics,
                                                   ViChar _VI_FAR errorMessage[]);
ViStatus _VI_FUNC RSCMUNB_Nsig_GetScalModEvmResults (ViSession instrumentHandle,
                                                     ViUInt32 mode,
                                                     ViReal64 _VI_FAR arrayOfResults[],
                                                     ViChar _VI_FAR errorMessage[]);
ViStatus _VI_FUNC RSCMUNB_Nsig_GetArrModEvmChanResults (ViSession instrumentHandle,
                                                        ViUInt32 mode,
                                                        ViUInt32 statisticMode,
                                                        ViReal64 _VI_FAR arrayOfResults[],
                                                        ViChar _VI_FAR errorMessage[]);
ViStatus _VI_FUNC RSCMUNB_Nsig_GetSubArrModEvmChanResults
             (ViSession instrumentHandle, ViUInt32 mode, ViUInt32 statisticMode,
              ViReal64 _VI_FAR arrayOfResults[], ViChar _VI_FAR errorMessage[]);
ViStatus _VI_FUNC RSCMUNB_Nsig_GetArrModEvmSlotResults (ViSession instrumentHandle,
                                                        ViUInt32 mode,
                                                        ViUInt32 statisticMode,
                                                        ViReal64 _VI_FAR arrayOfResults[],
                                                        ViChar _VI_FAR errorMessage[]);
ViStatus _VI_FUNC RSCMUNB_Nsig_ConfModMerrContStat (ViSession instrumentHandle,
                                                    ViInt32 statisticalDepth,
                                                    ViChar _VI_FAR errorMessage[]);
ViStatus _VI_FUNC RSCMUNB_Nsig_ConfModMerrContRep (ViSession instrumentHandle,
                                                   ViInt32 repetitionMode,
                                                   ViInt32 stopCondition,
                                                   ViChar _VI_FAR errorMessage[]);
ViStatus _VI_FUNC RSCMUNB_Nsig_ConfModMerrContErep (ViSession instrumentHandle,
                                                    ViInt32 eventReporting,
                                                    ViChar _VI_FAR errorMessage[]);
ViStatus _VI_FUNC RSCMUNB_Nsig_ConfModMerrContCpic (ViSession instrumentHandle,
                                                    ViInt32 CPICHSlot,
                                                    ViChar _VI_FAR errorMessage[]);
ViStatus _VI_FUNC RSCMUNB_Nsig_InitModMerr (ViSession instrumentHandle,
                                            ViChar _VI_FAR errorMessage[]);
ViStatus _VI_FUNC RSCMUNB_Nsig_AborModMerr (ViSession instrumentHandle,
                                            ViChar _VI_FAR errorMessage[]);
ViStatus _VI_FUNC RSCMUNB_Nsig_StopModMerr (ViSession instrumentHandle,
                                            ViChar _VI_FAR errorMessage[]);
ViStatus _VI_FUNC RSCMUNB_Nsig_ContModMerr (ViSession instrumentHandle,
                                            ViChar _VI_FAR errorMessage[]);
ViStatus _VI_FUNC RSCMUNB_Nsig_FetcScalModMerrStat (ViSession instrumentHandle,
                                                    ViPInt32 measurementStatus,
                                                    ViPInt32 counter_for_current_statistics,
                                                    ViChar _VI_FAR errorMessage[]);
ViStatus _VI_FUNC RSCMUNB_NSig_ConfSubModMerrWcdm (ViSession instrumentHandle,
                                                   ViInt32 mode,
                                                   ViInt32 number_ofSubranges,
                                                   ViInt32 _VI_FAR start[],
                                                   ViInt32 _VI_FAR samples[],
                                                   ViChar _VI_FAR errorMessage[]);
ViStatus _VI_FUNC RSCMUNB_Nsig_GetScalModMerrResults (ViSession instrumentHandle,
                                                      ViUInt32 mode,
                                                      ViReal64 _VI_FAR arrayOfResults[],
                                                      ViChar _VI_FAR errorMessage[]);
ViStatus _VI_FUNC RSCMUNB_Nsig_GetArrModMerrChanResults (ViSession instrumentHandle,
                                                         ViUInt32 mode,
                                                         ViUInt32 statisticMode,
                                                         ViReal64 _VI_FAR arrayOfResults[],
                                                         ViChar _VI_FAR errorMessage[]);
ViStatus _VI_FUNC RSCMUNB_Nsig_GetSubArrModMerrChanResults
             (ViSession instrumentHandle, ViUInt32 mode, ViUInt32 statisticMode,
              ViReal64 _VI_FAR arrayOfResults[], ViChar _VI_FAR errorMessage[]);
ViStatus _VI_FUNC RSCMUNB_Nsig_GetArrModMerrSlotResults (ViSession instrumentHandle,
                                                         ViUInt32 mode,
                                                         ViUInt32 statisticMode,
                                                         ViReal64 _VI_FAR arrayOfResults[],
                                                         ViChar _VI_FAR errorMessage[]);
ViStatus _VI_FUNC RSCMUNB_Nsig_ConfModPerrContStat (ViSession instrumentHandle,
                                                    ViInt32 statisticalDepth,
                                                    ViChar _VI_FAR errorMessage[]);
ViStatus _VI_FUNC RSCMUNB_Nsig_ConfModPerrContRep (ViSession instrumentHandle,
                                                   ViInt32 repetitionMode,
                                                   ViInt32 stopCondition,
                                                   ViChar _VI_FAR errorMessage[]);
ViStatus _VI_FUNC RSCMUNB_Nsig_ConfModPerrContErep (ViSession instrumentHandle,
                                                    ViInt32 eventReporting,
                                                    ViChar _VI_FAR errorMessage[]);
ViStatus _VI_FUNC RSCMUNB_Nsig_ConfModPerrContCpic (ViSession instrumentHandle,
                                                    ViInt32 CPICHSlot,
                                                    ViChar _VI_FAR errorMessage[]);
ViStatus _VI_FUNC RSCMUNB_Nsig_InitModPerr (ViSession instrumentHandle,
                                            ViChar _VI_FAR errorMessage[]);
ViStatus _VI_FUNC RSCMUNB_Nsig_AborModPerr (ViSession instrumentHandle,
                                            ViChar _VI_FAR errorMessage[]);
ViStatus _VI_FUNC RSCMUNB_Nsig_StopModPerr (ViSession instrumentHandle,
                                            ViChar _VI_FAR errorMessage[]);
ViStatus _VI_FUNC RSCMUNB_Nsig_ContModPerr (ViSession instrumentHandle,
                                            ViChar _VI_FAR errorMessage[]);
ViStatus _VI_FUNC RSCMUNB_Nsig_FetcScalModPerrStat (ViSession instrumentHandle,
                                                    ViPInt32 measurementStatus,
                                                    ViPInt32 counter_for_current_statistics,
                                                    ViChar _VI_FAR errorMessage[]);
ViStatus _VI_FUNC RSCMUNB_NSig_ConfSubModPerrWcdm (ViSession instrumentHandle,
                                                   ViInt32 mode,
                                                   ViInt32 number_ofSubranges,
                                                   ViInt32 _VI_FAR start[],
                                                   ViInt32 _VI_FAR samples[],
                                                   ViChar _VI_FAR errorMessage[]);
ViStatus _VI_FUNC RSCMUNB_Nsig_GetScalModPerrResults (ViSession instrumentHandle,
                                                      ViUInt32 mode,
                                                      ViReal64 _VI_FAR arrayOfResults[],
                                                      ViChar _VI_FAR errorMessage[]);
ViStatus _VI_FUNC RSCMUNB_Nsig_GetArrModPerrChanResults (ViSession instrumentHandle,
                                                         ViUInt32 mode,
                                                         ViUInt32 statisticMode,
                                                         ViReal64 _VI_FAR arrayOfResults[],
                                                         ViChar _VI_FAR errorMessage[]);
ViStatus _VI_FUNC RSCMUNB_Nsig_GetSubArrModPerrChanResults
             (ViSession instrumentHandle, ViUInt32 mode, ViUInt32 statisticMode,
              ViReal64 _VI_FAR arrayOfResults[], ViChar _VI_FAR errorMessage[]);
ViStatus _VI_FUNC RSCMUNB_Nsig_GetArrModPerrSlotResults (ViSession instrumentHandle,
                                                         ViUInt32 mode,
                                                         ViUInt32 statisticMode,
                                                         ViReal64 _VI_FAR arrayOfResults[],
                                                         ViChar _VI_FAR errorMessage[]);
ViStatus _VI_FUNC RSCMUNB_Nsig_DefPowCont (ViSession instrumentHandle,
                                           ViChar _VI_FAR errorMessage[]);
ViStatus _VI_FUNC RSCMUNB_Nsig_ConfPowWbanContRep (ViSession instrumentHandle,
                                                   ViInt32 repetitionMode,
                                                   ViChar _VI_FAR errorMessage[]);
ViStatus _VI_FUNC RSCMUNB_Nsig_ConfPowWbanContErep (ViSession instrumentHandle,
                                                    ViInt32 eventReporting,
                                                    ViChar _VI_FAR errorMessage[]);
ViStatus _VI_FUNC RSCMUNB_Nsig_InitPowWban (ViSession instrumentHandle,
                                            ViChar _VI_FAR errorMessage[]);
ViStatus _VI_FUNC RSCMUNB_Nsig_AborPowWban (ViSession instrumentHandle,
                                            ViChar _VI_FAR errorMessage[]);
ViStatus _VI_FUNC RSCMUNB_Nsig_StopPowWban (ViSession instrumentHandle,
                                            ViChar _VI_FAR errorMessage[]);
ViStatus _VI_FUNC RSCMUNB_Nsig_ContPowWban (ViSession instrumentHandle,
                                            ViChar _VI_FAR errorMessage[]);
ViStatus _VI_FUNC RSCMUNB_Nsig_FetcScalPowWbanStat (ViSession instrumentHandle,
                                                    ViPInt32 measurementStatus,
                                                    ViChar _VI_FAR errorMessage[]);
ViStatus _VI_FUNC RSCMUNB_Nsig_DefPowWbanCont (ViSession instrumentHandle,
                                               ViChar _VI_FAR errorMessage[]);
ViStatus _VI_FUNC RSCMUNB_Nsig_GetScalPowWbanResults (ViSession instrumentHandle,
                                                      ViUInt32 mode,
                                                      ViPReal64 widebandPower,
                                                      ViChar _VI_FAR errorMessage[]);
ViStatus _VI_FUNC RSCMUNB_Nsig_ConfPowFselContRep (ViSession instrumentHandle,
                                                   ViInt32 repetitionMode,
                                                   ViInt32 stopCondition,
                                                   ViInt32 stepMode,
                                                   ViChar _VI_FAR errorMessage[]);
ViStatus _VI_FUNC RSCMUNB_Nsig_ConfPowFselContStat (ViSession instrumentHandle,
                                                    ViInt32 statisticalDepth,
                                                    ViChar _VI_FAR errorMessage[]);
ViStatus _VI_FUNC RSCMUNB_Nsig_ConfPowFselContErep (ViSession instrumentHandle,
                                                    ViInt32 eventReporting,
                                                    ViChar _VI_FAR errorMessage[]);
ViStatus _VI_FUNC RSCMUNB_Nsig_ConfPowFselContBwid (ViSession instrumentHandle,
                                                    ViInt32 resolutionBandwidth,
                                                    ViChar _VI_FAR errorMessage[]);
ViStatus _VI_FUNC RSCMUNB_Nsig_InitPowFsel (ViSession instrumentHandle,
                                            ViChar _VI_FAR errorMessage[]);
ViStatus _VI_FUNC RSCMUNB_Nsig_AborPowFsel (ViSession instrumentHandle,
                                            ViChar _VI_FAR errorMessage[]);
ViStatus _VI_FUNC RSCMUNB_Nsig_StopPowFsel (ViSession instrumentHandle,
                                            ViChar _VI_FAR errorMessage[]);
ViStatus _VI_FUNC RSCMUNB_Nsig_ContPowFsel (ViSession instrumentHandle,
                                            ViChar _VI_FAR errorMessage[]);
ViStatus _VI_FUNC RSCMUNB_Nsig_FetcScalPowFselStat (ViSession instrumentHandle,
                                                    ViPInt32 measurementStatus,
                                                    ViPInt32 counter_for_current_statistics,
                                                    ViChar _VI_FAR errorMessage[]);
ViStatus _VI_FUNC RSCMUNB_Nsig_DefPowFselCont (ViSession instrumentHandle,
                                               ViChar _VI_FAR errorMessage[]);
ViStatus _VI_FUNC RSCMUNB_Nsig_GetScalPowFselResults (ViSession instrumentHandle,
                                                      ViUInt32 mode,
                                                      ViReal64 _VI_FAR array_ofMeasurementResults[],
                                                      ViChar _VI_FAR errorMessage[]);
ViStatus _VI_FUNC RSCMUNB_Nsig_ConfUtmLine (ViSession instrumentHandle,
                                            ViInt32 testModel, ViInt32 line,
                                            ViInt32 channel, ViInt32 symbolRate,
                                            ViInt32 channelizationCode,
                                            ViInt32 timingOffset, ViInt32 pilotBits,
                                            ViInt32 channelStatus,
                                            ViChar _VI_FAR errorMessage[]);
ViStatus _VI_FUNC RSCMUNB_Nsig_ConfUtmClear (ViSession instrumentHandle,
                                             ViInt32 testModel,
                                             ViChar _VI_FAR errorMessage[]);
ViStatus _VI_FUNC RSCMUNB_Sig_ProcSignAct (ViSession instrumentHandle,
                                           ViInt32 state,
                                           ViChar _VI_FAR errorMessage[]);
ViStatus _VI_FUNC RSCMUNB_Sig_SensSignStat (ViSession instrumentHandle,
                                            ViPInt32 state,
                                            ViChar _VI_FAR errorMessage[]);
ViStatus _VI_FUNC RSCMUNB_Sig_SensSignSto (ViSession instrumentHandle,
                                           ViPInt32 CPICHState, ViPInt32 BCHState,
                                           ViChar _VI_FAR errorMessage[]);
ViStatus _VI_FUNC RSCMUNB_Sig_SensSignMinfCpow (ViSession instrumentHandle,
                                                ViPReal64 power,
                                                ViChar _VI_FAR errorMessage[]);
ViStatus _VI_FUNC RSCMUNB_Sig_SensSignMinfCsir (ViSession instrumentHandle,
                                                ViPReal64 signal,
                                                ViChar _VI_FAR errorMessage[]);
ViStatus _VI_FUNC RSCMUNB_Sig_SensSignMinfFsh (ViSession instrumentHandle,
                                               ViPReal64 frequencyShift,
                                               ViChar _VI_FAR errorMessage[]);
ViStatus _VI_FUNC RSCMUNB_Sig_SensSignMinfNpow (ViSession instrumentHandle,
                                                ViPReal64 power,
                                                ViChar _VI_FAR errorMessage[]);
ViStatus _VI_FUNC RSCMUNB_Sig_SensSignMinfSfn (ViSession instrumentHandle,
                                               ViPReal64 systemFrameNumber,
                                               ViChar _VI_FAR errorMessage[]);
ViStatus _VI_FUNC RSCMUNB_Sig_ConfSignSelBand (ViSession instrumentHandle,
                                               ViInt32 band,
                                               ViChar _VI_FAR errorMessage[]);
ViStatus _VI_FUNC RSCMUNB_Sig_DefNbs (ViSession instrumentHandle,
                                      ViChar _VI_FAR errorMessage[]);
ViStatus _VI_FUNC RSCMUNB_Sig_ConfNbsChan (ViSession instrumentHandle, ViInt32 unit,
                                           ViReal64 RFChannel,
                                           ViChar _VI_FAR errorMessage[]);
ViStatus _VI_FUNC RSCMUNB_Sig_ConfNbsFoff (ViSession instrumentHandle,
                                           ViReal64 frequencyOffset,
                                           ViChar _VI_FAR errorMessage[]);
ViStatus _VI_FUNC RSCMUNB_Sig_ConfNbsRtfs (ViSession instrumentHandle,
                                           ViPReal64 RXTXFrequencySeparation,
                                           ViChar _VI_FAR errorMessage[]);
ViStatus _VI_FUNC RSCMUNB_Sig_ConfNbsDlopMode (ViSession instrumentHandle,
                                               ViInt32 DLOperationMode,
                                               ViChar _VI_FAR errorMessage[]);
ViStatus _VI_FUNC RSCMUNB_Sig_ConfNbsDlscDpch (ViSession instrumentHandle,
                                               ViString DLScramblingCode,
                                               ViChar _VI_FAR errorMessage[]);
ViStatus _VI_FUNC RSCMUNB_Sig_ConfNbsDlscCpic (ViSession instrumentHandle,
                                               ViString DLScramblingCode,
                                               ViChar _VI_FAR errorMessage[]);
ViStatus _VI_FUNC RSCMUNB_Sig_ConfNbsDdpcDldp (ViSession instrumentHandle,
                                               ViInt32 CPICHDLDPCHOffset,
                                               ViChar _VI_FAR errorMessage[]);
ViStatus _VI_FUNC RSCMUNB_Sig_ConfNbsDdpcChcn (ViSession instrumentHandle,
                                               ViInt32 channelizationCodeNumber,
                                               ViChar _VI_FAR errorMessage[]);
ViStatus _VI_FUNC RSCMUNB_Sig_ConfNbsDdpcSrat (ViSession instrumentHandle,
                                               ViPReal64 symbolRate,
                                               ViChar _VI_FAR errorMessage[]);
ViStatus _VI_FUNC RSCMUNB_Sig_ConfNbsDdpcSfor (ViSession instrumentHandle,
                                               ViInt32 slotFormat,
                                               ViChar _VI_FAR errorMessage[]);
ViStatus _VI_FUNC RSCMUNB_Sig_ConfNbsGpprCtyp (ViSession instrumentHandle,
                                               ViInt32 referenceChannelType,
                                               ViChar _VI_FAR errorMessage[]);
ViStatus _VI_FUNC RSCMUNB_Sig_ConfNbsGpprDldp (ViSession instrumentHandle,
                                               ViInt32 CPICHDLDPCHOffset,
                                               ViChar _VI_FAR errorMessage[]);
ViStatus _VI_FUNC RSCMUNB_Sig_ConfNbsGpprChcn (ViSession instrumentHandle,
                                               ViInt32 channelizationCodeNumber,
                                               ViChar _VI_FAR errorMessage[]);
ViStatus _VI_FUNC RSCMUNB_Sig_NbsigMainUeid (ViSession instrumentHandle,
                                             ViInt32 mainUEID,
                                             ViChar _VI_FAR errorMessage[]);
ViStatus _VI_FUNC RSCMUNB_Sig_NbsigHsscchChCode (ViSession instrumentHandle,
                                                 ViInt32 nodeBSignalNumber,
                                                 ViInt32 channelCode,
                                                 ViChar _VI_FAR errorMessage[]);
ViStatus _VI_FUNC RSCMUNB_Sig_NbsigNumberHsscch (ViSession instrumentHandle,
                                                 ViInt32 nr_ofHSSCCHs,
                                                 ViChar _VI_FAR errorMessage[]);
ViStatus _VI_FUNC RSCMUNB_Sig_InitUes (ViSession instrumentHandle,
                                       ViChar _VI_FAR errorMessage[]);
ViStatus _VI_FUNC RSCMUNB_Sig_AborUes (ViSession instrumentHandle,
                                       ViChar _VI_FAR errorMessage[]);
ViStatus _VI_FUNC RSCMUNB_Sig_FetcUesStat (ViSession instrumentHandle,
                                           ViPInt32 measurementStatus,
                                           ViChar _VI_FAR errorMessage[]);
ViStatus _VI_FUNC RSCMUNB_Sig_DefUes (ViSession instrumentHandle,
                                      ViChar _VI_FAR errorMessage[]);
ViStatus _VI_FUNC RSCMUNB_Sig_ConfUesUlopMode (ViSession instrumentHandle,
                                               ViInt32 dedicatedChannelMode,
                                               ViChar _VI_FAR errorMessage[]);
ViStatus _VI_FUNC RSCMUNB_Sig_ConfUESChan (ViSession instrumentHandle, ViInt32 unit,
                                           ViReal64 frequencyChannelNumber,
                                           ViChar _VI_FAR errorMessage[]);
ViStatus _VI_FUNC RSCMUNB_Sig_ConfUesUlsc (ViSession instrumentHandle,
                                           ViString scramblingCode,
                                           ViChar _VI_FAR errorMessage[]);
ViStatus _VI_FUNC RSCMUNB_Sig_ConfUesUldp (ViSession instrumentHandle,
                                           ViInt32 CPICHULDPCHOffset,
                                           ViChar _VI_FAR errorMessage[]);
ViStatus _VI_FUNC RSCMUNB_Sig_ConfUesUlpcTpcs (ViSession instrumentHandle,
                                               ViInt32 TPCStepSize,
                                               ViChar _VI_FAR errorMessage[]);
ViStatus _VI_FUNC RSCMUNB_Sig_ConfUesUlpcMode (ViSession instrumentHandle,
                                               ViInt32 mode,
                                               ViChar _VI_FAR errorMessage[]);
ViStatus _VI_FUNC RSCMUNB_Sig_ConfUesFoffs (ViSession instrumentHandle,
                                            ViReal64 frequencyOffset,
                                            ViChar _VI_FAR errorMessage[]);
ViStatus _VI_FUNC RSCMUNB_Sig_ConfUesGpprCtyp (ViSession instrumentHandle,
                                               ViInt32 referenceChannelType,
                                               ViChar _VI_FAR errorMessage[]);
ViStatus _VI_FUNC RSCMUNB_Sig_ConfUesGpprCdsDtch (ViSession instrumentHandle,
                                                  ViInt32 sequence,
                                                  ViChar _VI_FAR errorMessage[]);
ViStatus _VI_FUNC RSCMUNB_Sig_ConfUesGpprTfc (ViSession instrumentHandle,
                                              ViUInt32 TFCIBits,
                                              ViChar _VI_FAR errorMessage[]);
ViStatus _VI_FUNC RSCMUNB_Sig_SourRfgGpprBver (ViSession instrumentHandle,
                                               ViInt32 BERBLERVerificationMode,
                                               ViChar _VI_FAR errorMessage[]);
ViStatus _VI_FUNC RSCMUNB_Sig_SourRfgGpprBverBler (ViSession instrumentHandle,
                                                   ViInt32 verificationMode,
                                                   ViReal64 value,
                                                   ViChar _VI_FAR errorMessage[]);
ViStatus _VI_FUNC RSCMUNB_Sig_ConfUesUdpcDpccSfor (ViSession instrumentHandle,
                                                   ViPInt32 slotFormat,
                                                   ViChar _VI_FAR errorMessage[]);
ViStatus _VI_FUNC RSCMUNB_Sig_ConfUesUdpcDpccSrat (ViSession instrumentHandle,
                                                   ViPInt32 symbolRate,
                                                   ViChar _VI_FAR errorMessage[]);
ViStatus _VI_FUNC RSCMUNB_Sig_ConfUesUdpcDpccTfciCWor (ViSession instrumentHandle,
                                                       ViUInt32 TFCICodeWord,
                                                       ViChar _VI_FAR errorMessage[]);
ViStatus _VI_FUNC RSCMUNB_Sig_ConfUesUdpcDpccTpcPatt (ViSession instrumentHandle,
                                                      ViInt32 TPCPatternLength,
                                                      ViUInt32 TPCPattern,
                                                      ViChar _VI_FAR errorMessage[]);
ViStatus _VI_FUNC RSCMUNB_Sig_ConfUesUdpsDpccTpcRom (ViSession instrumentHandle,
                                                     ViInt32 readOutMode,
                                                     ViChar _VI_FAR errorMessage[]);
ViStatus _VI_FUNC RSCMUNB_Sig_ConfUesUdpcDpdcCchn (ViSession instrumentHandle,
                                                   ViInt32 channelNumber,
                                                   ViChar _VI_FAR errorMessage[]);
ViStatus _VI_FUNC RSCMUNB_Sig_ConfUesUdpcDpdcCds (ViSession instrumentHandle,
                                                  ViInt32 channelDataSource,
                                                  ViChar _VI_FAR errorMessage[]);
ViStatus _VI_FUNC RSCMUNB_Sig_ConfUesUdpcDpdcSfor (ViSession instrumentHandle,
                                                   ViInt32 slotFormat,
                                                   ViChar _VI_FAR errorMessage[]);
ViStatus _VI_FUNC RSCMUNB_Sig_ConfUesUdpcDpdcSrat (ViSession instrumentHandle,
                                                   ViPInt32 symbolRate,
                                                   ViChar _VI_FAR errorMessage[]);
ViStatus _VI_FUNC RSCMUNB_Sig_ConfUesUpowAwgn (ViSession instrumentHandle,
                                               ViInt32 AWGN,
                                               ViChar _VI_FAR errorMessage[]);
ViStatus _VI_FUNC RSCMUNB_Sig_ConfUesUpowNlev (ViSession instrumentHandle,
                                               ViReal64 noiseLevel,
                                               ViChar _VI_FAR errorMessage[]);
ViStatus _VI_FUNC RSCMUNB_Sig_ConfUesUpowDpcc (ViSession instrumentHandle,
                                               ViReal64 level,
                                               ViChar _VI_FAR errorMessage[]);
ViStatus _VI_FUNC RSCMUNB_Sig_ConfUesUpowDpdc (ViSession instrumentHandle,
                                               ViPReal64 level,
                                               ViChar _VI_FAR errorMessage[]);
ViStatus _VI_FUNC RSCMUNB_Sig_ConfUesUpowRcdPhys (ViSession instrumentHandle,
                                                  ViInt32 DPDCHState,
                                                  ViReal64 powerRatio,
                                                  ViChar _VI_FAR errorMessage[]);
ViStatus _VI_FUNC RSCMUNB_Sig_ConfUesUpowTtp (ViSession instrumentHandle,
                                              ViReal64 totalPower,
                                              ViChar _VI_FAR errorMessage[]);
ViStatus _VI_FUNC RSCMUNB_Sig_ConfHsdpaSignal (ViSession instrumentHandle,
                                               ViInt32 signalState,
                                               ViChar _VI_FAR errorMessage[]);
ViStatus _VI_FUNC RSCMUNB_Sig_ConfHsdpaType (ViSession instrumentHandle,
                                             ViInt32 HSDPCCHConfigurationType,
                                             ViChar _VI_FAR errorMessage[]);
ViStatus _VI_FUNC RSCMUNB_Sig_ConfHsdpaAckTransmitMode (ViSession instrumentHandle,
                                                        ViInt32 ACKTransmitMode,
                                                        ViChar _VI_FAR errorMessage[]);
ViStatus _VI_FUNC RSCMUNB_Sig_ConfHsdpaTransmitDistance (ViSession instrumentHandle,
                                                         ViInt32 slot,
                                                         ViInt32 transmitDistance,
                                                         ViChar _VI_FAR errorMessage[]);
ViStatus _VI_FUNC RSCMUNB_Sig_ConfHsdpaPowerDelta (ViSession instrumentHandle,
                                                   ViInt32 slot,
                                                   ViReal64 powerDelta,
                                                   ViChar _VI_FAR errorMessage[]);
ViStatus _VI_FUNC RSCMUNB_Sig_ConfHsdpaHsfnActivation (ViSession instrumentHandle,
                                                       ViInt32 slot,
                                                       ViInt32 activationHSFNMode,
                                                       ViInt32 activationHSFNNumber,
                                                       ViChar _VI_FAR errorMessage[]);
ViStatus _VI_FUNC RSCMUNB_Sig_ConfHsdpaTabLength (ViSession instrumentHandle,
                                                  ViInt32 slot,
                                                  ViInt32 no_ofACKsCQIs_inTable,
                                                  ViChar _VI_FAR errorMessage[]);
ViStatus _VI_FUNC RSCMUNB_Sig_ConfHsdpaSingAckTabValue (ViSession instrumentHandle,
                                                        ViInt32 ACKTableIndex,
                                                        ViInt32 ACKTableValue,
                                                        ViChar _VI_FAR errorMessage[]);
ViStatus _VI_FUNC RSCMUNB_Sig_ConfHsdpaAllAckTabValues (ViSession instrumentHandle,
                                                        ViInt32 number_ofValues,
                                                        ViInt32 _VI_FAR allACKTableValues[],
                                                        ViChar _VI_FAR errorMessage[]);
ViStatus _VI_FUNC RSCMUNB_Sig_ConfHsdpaSingCqiTabValue (ViSession instrumentHandle,
                                                        ViInt32 CQITableIndex,
                                                        ViInt32 CQITableValue,
                                                        ViChar _VI_FAR errorMessage[]);
ViStatus _VI_FUNC RSCMUNB_Sig_ConfHsdpaAllCqiTabValues (ViSession instrumentHandle,
                                                        ViInt32 number_ofValues,
                                                        ViInt32 _VI_FAR allCQITableValues[],
                                                        ViChar _VI_FAR errorMessage[]);
ViStatus _VI_FUNC RSCMUNB_Sig_DefTrig (ViSession instrumentHandle,
                                       ViChar _VI_FAR errorMessage[]);
ViStatus _VI_FUNC RSCMUNB_Sig_TrigSour (ViSession instrumentHandle,
                                        ViInt32 triggerSource,
                                        ViChar _VI_FAR errorMessage[]);
ViStatus _VI_FUNC RSCMUNB_Sig_TrigSlop (ViSession instrumentHandle,
                                        ViInt32 triggerSlope,
                                        ViChar _VI_FAR errorMessage[]);
ViStatus _VI_FUNC RSCMUNB_Sig_TrigEtc (ViSession instrumentHandle,
                                       ViReal64 chipDelay,
                                       ViChar _VI_FAR errorMessage[]);
ViStatus _VI_FUNC RSCMUNB_Sig_TrigIsts (ViSession instrumentHandle,
                                        ViInt32 startSFNNumber,
                                        ViChar _VI_FAR errorMessage[]);
ViStatus _VI_FUNC RSCMUNB_Sig_TrigIstp (ViSession instrumentHandle, ViInt32 period,
                                        ViChar _VI_FAR errorMessage[]);
ViStatus _VI_FUNC RSCMUNB_Sig_PreTrigTime (ViSession instrumentHandle,
                                           ViInt32 preTriggerTime,
                                           ViChar _VI_FAR errorMessage[]);
ViStatus _VI_FUNC RSCMUNB_Sig_TrigOutpPinSig (ViSession instrumentHandle,
                                              ViInt32 pin, ViInt32 signal,
                                              ViChar _VI_FAR errorMessage[]);
ViStatus _VI_FUNC RSCMUNB_Sig_TrigOutpOffs (ViSession instrumentHandle, ViInt32 pin,
                                            ViInt32 state, ViInt32 offset,
                                            ViChar _VI_FAR errorMessage[]);
ViStatus _VI_FUNC RSCMUNB_Sig_InitBchm (ViSession instrumentHandle,
                                        ViChar _VI_FAR errorMessage[]);
ViStatus _VI_FUNC RSCMUNB_Sig_AborBchm (ViSession instrumentHandle,
                                        ViChar _VI_FAR errorMessage[]);
ViStatus _VI_FUNC RSCMUNB_Sig_SensBchmSibr (ViSession instrumentHandle,
                                            ViInt32 type,
                                            ViPInt32 number_ofReturnedValues,
                                            ViPInt32 completeStringSize,
                                            ViInt32 _VI_FAR indentationDepth[],
                                            ViChar _VI_FAR returnedStrings[],
                                            ViChar _VI_FAR errorMessage[]);
ViStatus _VI_FUNC RSCMUNB_Sig_SensBchmSibrec (ViSession instrumentHandle,
                                              ViPInt32 type,
                                              ViChar _VI_FAR errorMessage[]);
ViStatus _VI_FUNC RSCMUNB_Sig_BchmCdes (ViSession instrumentHandle,
                                        ViChar _VI_FAR fileName[],
                                        ViChar _VI_FAR errorMessage[]);
ViStatus _VI_FUNC RSCMUNB_Sig_BchmSave (ViSession instrumentHandle,
                                        ViChar _VI_FAR fileName[],
                                        ViInt32 storageDevice,
                                        ViChar _VI_FAR errorMessage[]);
ViStatus _VI_FUNC RSCMUNB_Sig_BchmBwr (ViSession instrumentHandle, ViInt32 state,
                                       ViChar _VI_FAR errorMessage[]);
ViStatus _VI_FUNC RSCMUNB_Sig_BchmEmp (ViSession instrumentHandle, ViPInt32 state,
                                       ViChar _VI_FAR errorMessage[]);
ViStatus _VI_FUNC RSCMUNB_Sig_ConfDlbBerContRep (ViSession instrumentHandle,
                                                 ViInt32 repetitionMode,
                                                 ViInt32 stopCondition,
                                                 ViChar _VI_FAR errorMessage[]);
ViStatus _VI_FUNC RSCMUNB_Sig_ConfDlbBerErep (ViSession instrumentHandle,
                                              ViInt32 eventReporting,
                                              ViChar _VI_FAR errorMessage[]);
ViStatus _VI_FUNC RSCMUNB_Sig_ConfDlbBerContTb (ViSession instrumentHandle,
                                                ViInt32 mode,
                                                ViInt32 transportBlocks,
                                                ViChar _VI_FAR errorMessage[]);
ViStatus _VI_FUNC RSCMUNB_Sig_ConfDlbBerContAhot (ViSession instrumentHandle,
                                                  ViReal64 AGCHoldoffTime,
                                                  ViChar _VI_FAR errorMessage[]);
ViStatus _VI_FUNC RSCMUNB_Sig_ConfDlbBerContShot (ViSession instrumentHandle,
                                                  ViReal64 syncHoldoffTime,
                                                  ViChar _VI_FAR errorMessage[]);
ViStatus _VI_FUNC RSCMUNB_Sig_DefDlbBerCont (ViSession instrumentHandle,
                                             ViChar _VI_FAR errorMessage[]);
ViStatus _VI_FUNC RSCMUNB_Sig_InitDlbBer (ViSession instrumentHandle,
                                          ViChar _VI_FAR errorMessage[]);
ViStatus _VI_FUNC RSCMUNB_Sig_AborDlbBer (ViSession instrumentHandle,
                                          ViChar _VI_FAR errorMessage[]);
ViStatus _VI_FUNC RSCMUNB_Sig_StopDlbBer (ViSession instrumentHandle,
                                          ViChar _VI_FAR errorMessage[]);
ViStatus _VI_FUNC RSCMUNB_Sig_FetcDlbBerStat (ViSession instrumentHandle,
                                              ViPInt32 measurementStatus,
                                              ViPInt32 reserved,
                                              ViChar _VI_FAR errorMessage[]);
ViStatus _VI_FUNC RSCMUNB_Sig_GetDlbBer (ViSession instrumentHandle, ViUInt32 mode,
                                         ViReal64 _VI_FAR arrayOfResults[],
                                         ViChar _VI_FAR errorMessage[]);
ViStatus _VI_FUNC RSCMUNB_Sig_CalcDlbBerMatcLim (ViSession instrumentHandle,
                                                 ViPInt32 BER, ViPInt32 BLER,
                                                 ViPInt32 DBLER,
                                                 ViChar _VI_FAR errorMessage[]);
ViStatus _VI_FUNC RSCMUNB_Sig_ConfDlbBerUesTtp (ViSession instrumentHandle,
                                                ViReal64 totalTransmitPower,
                                                ViChar _VI_FAR errorMessage[]);
ViStatus _VI_FUNC RSCMUNB_Sig_ConfDlbBerUesDpcc (ViSession instrumentHandle,
                                                 ViReal64 DPCCHLevel_BER,
                                                 ViChar _VI_FAR errorMessage[]);
ViStatus _VI_FUNC RSCMUNB_Sig_ConfDlbBerUesNpow (ViSession instrumentHandle,
                                                 ViReal64 noiseLevel,
                                                 ViChar _VI_FAR errorMessage[]);
ViStatus _VI_FUNC RSCMUNB_Sig_ConfDlbBerUesAwgn (ViSession instrumentHandle,
                                                 ViInt32 AWGN,
                                                 ViChar _VI_FAR errorMessage[]);
ViStatus _VI_FUNC RSCMUNB_Sig_ConfDlbBerUesDtch (ViSession instrumentHandle,
                                                 ViInt32 sequence,
                                                 ViChar _VI_FAR errorMessage[]);
ViStatus _VI_FUNC RSCMUNB_Sig_ConfDlbBerNbsDtch (ViSession instrumentHandle,
                                                 ViInt32 sequence,
                                                 ViChar _VI_FAR errorMessage[]);
ViStatus _VI_FUNC RSCMUNB_Sig_ConfDlbCurrLimAsymUppVal (ViSession instrumentHandle,
                                                        ViReal64 BER, ViReal64 BLER,
                                                        ViReal64 DBLER,
                                                        ViChar _VI_FAR errorMessage[]);
ViStatus _VI_FUNC RSCMUNB_Sig_DefDlbBerLim (ViSession instrumentHandle,
                                            ViChar _VI_FAR errorMessage[]);
ViStatus _VI_FUNC RSCMUNB_Sig_ConfRachCommContAwgn (ViSession instrumentHandle,
                                                    ViInt32 AWGN,
                                                    ViChar _VI_FAR errorMessage[]);
ViStatus _VI_FUNC RSCMUNB_Sig_ConfRachCommContNpow (ViSession instrumentHandle,
                                                    ViReal64 noiseLevel_dBm,
                                                    ViChar _VI_FAR errorMessage[]);
ViStatus _VI_FUNC RSCMUNB_Sig_ConfRachCommContAtt (ViSession instrumentHandle,
                                                   ViInt32 transmissionTiming,
                                                   ViChar _VI_FAR errorMessage[]);
ViStatus _VI_FUNC RSCMUNB_Sig_InitRachPre (ViSession instrumentHandle,
                                           ViChar _VI_FAR errorMessage[]);
ViStatus _VI_FUNC RSCMUNB_Sig_AborRachPre (ViSession instrumentHandle,
                                           ViChar _VI_FAR errorMessage[]);
ViStatus _VI_FUNC RSCMUNB_Sig_StopRachPre (ViSession instrumentHandle,
                                           ViChar _VI_FAR errorMessage[]);
ViStatus _VI_FUNC RSCMUNB_Sig_ConfRachPreErep (ViSession instrumentHandle,
                                               ViInt32 eventReporting,
                                               ViChar _VI_FAR errorMessage[]);
ViStatus _VI_FUNC RSCMUNB_Sig_FetcRachPreStat (ViSession instrumentHandle,
                                               ViPInt32 status,
                                               ViChar _VI_FAR errorMessage[]);
ViStatus _VI_FUNC RSCMUNB_Sig_ConfRachPreContPow (ViSession instrumentHandle,
                                                  ViReal64 totalPower,
                                                  ViChar _VI_FAR errorMessage[]);
ViStatus _VI_FUNC RSCMUNB_Sig_ConfRachPreContEcn (ViSession instrumentHandle,
                                                  ViReal64 signalToNoiseRatio,
                                                  ViChar _VI_FAR errorMessage[]);
ViStatus _VI_FUNC RSCMUNB_Sig_ConfRachPreContScod (ViSession instrumentHandle,
                                                   ViInt32 scramblingCode,
                                                   ViChar _VI_FAR errorMessage[]);
ViStatus _VI_FUNC RSCMUNB_Sig_ConfRachPreContNrpr (ViSession instrumentHandle,
                                                   ViInt32 number_ofPreambles,
                                                   ViChar _VI_FAR errorMessage[]);
ViStatus _VI_FUNC RSCMUNB_Sig_ConfRachPreContAscn (ViSession instrumentHandle,
                                                   ViInt32 codeNumber,
                                                   ViChar _VI_FAR errorMessage[]);
ViStatus _VI_FUNC RSCMUNB_Sig_ConfRachPreContSfnn (ViSession instrumentHandle,
                                                   ViInt32 SFNNumber,
                                                   ViChar _VI_FAR errorMessage[]);
ViStatus _VI_FUNC RSCMUNB_Sig_ConfRachPreContSfnm (ViSession instrumentHandle,
                                                   ViInt32 SFNMode,
                                                   ViChar _VI_FAR errorMessage[]);
ViStatus _VI_FUNC RSCMUNB_Sig_ConfRachPreContNasl (ViSession instrumentHandle,
                                                   ViInt32 number_ofAccessSlots,
                                                   ViChar _VI_FAR errorMessage[]);
ViStatus _VI_FUNC RSCMUNB_Sig_ConfRachPreContAst (ViSession instrumentHandle,
                                                  ViInt32 lineNumber, ViInt32 frame,
                                                  ViInt32 slot, ViInt32 signature,
                                                  ViChar _VI_FAR errorMessage[]);
ViStatus _VI_FUNC RSCMUNB_Sig_DefRachCont (ViSession instrumentHandle,
                                           ViChar _VI_FAR errorMessage[]);
ViStatus _VI_FUNC RSCMUNB_Sig_ConfDlbBerContPar (ViSession instrumentHandle,
                                                 ViInt32 automaticResyncState,
                                                 ViChar _VI_FAR errorMessage[]);
ViStatus _VI_FUNC RSCMUNB_Sig_GetScalRachPreResults (ViSession instrumentHandle,
                                                     ViInt32 mode,
                                                     ViReal64 _VI_FAR arrayOfResults[],
                                                     ViChar _VI_FAR errorMessage[]);
ViStatus _VI_FUNC RSCMUNB_Sig_ConfHsdpaStartMode (ViSession instrumentHandle,
                                                  ViInt32 startMode, ViInt32 UEID,
                                                  ViInt32 HSFN,
                                                  ViChar _VI_FAR errorMessage[]);
ViStatus _VI_FUNC RSCMUNB_Sig_ConfHsdpaNrUeids (ViSession instrumentHandle,
                                                ViInt32 nr_ofUEIDs,
                                                ViChar _VI_FAR errorMessage[]);
ViStatus _VI_FUNC RSCMUNB_Sig_ConfHsdpaUeidIndexTable (ViSession instrumentHandle,
                                                       ViInt32 nr_ofUEIDs,
                                                       ViInt32 UEIDIndexTable,
                                                       ViChar _VI_FAR errorMessage[]);
ViStatus _VI_FUNC RSCMUNB_Sig_ConfHsdpaUeidIndexTableAll (ViSession instrumentHandle,
                                                          ViInt32 number_ofEntries,
                                                          ViInt32 _VI_FAR UEIDIndexTable[],
                                                          ViChar _VI_FAR errorMessage[]);
ViStatus _VI_FUNC RSCMUNB_Sig_ConfHsscchContRep (ViSession instrumentHandle,
                                                 ViInt32 repetitionMode,
                                                 ViChar _VI_FAR errorMessage[]);
ViStatus _VI_FUNC RSCMUNB_Sig_ConfHsscchDisplayMode (ViSession instrumentHandle,
                                                     ViInt32 displayMode,
                                                     ViChar _VI_FAR errorMessage[]);
ViStatus _VI_FUNC RSCMUNB_Sig_ConfHsscchContErep (ViSession instrumentHandle,
                                                  ViInt32 eventReporting,
                                                  ViChar _VI_FAR errorMessage[]);
ViStatus _VI_FUNC RSCMUNB_Sig_InitHsscch (ViSession instrumentHandle,
                                          ViChar _VI_FAR errorMessage[]);
ViStatus _VI_FUNC RSCMUNB_Sig_AborHsscch (ViSession instrumentHandle,
                                          ViChar _VI_FAR errorMessage[]);
ViStatus _VI_FUNC RSCMUNB_Sig_StopHsscch (ViSession instrumentHandle,
                                          ViChar _VI_FAR errorMessage[]);
ViStatus _VI_FUNC RSCMUNB_Sig_ContHsscch (ViSession instrumentHandle,
                                          ViChar _VI_FAR errorMessage[]);
ViStatus _VI_FUNC RSCMUNB_Sig_FetcScalHsscchStat (ViSession instrumentHandle,
                                                  ViPInt32 measurementStatus,
                                                  ViPInt32 counter_for_current_statistics,
                                                  ViChar _VI_FAR errorMessage[]);
ViStatus _VI_FUNC RSCMUNB_Sig_GetArrHsscchUeidAllResults (ViSession instrumentHandle,
                                                          ViUInt32 mode,
                                                          ViInt32 _VI_FAR UEIDs_for_allHSSCCHs[],
                                                          ViChar _VI_FAR errorMessage[]);
ViStatus _VI_FUNC RSCMUNB_Sig_GetArrHsscchDetailedInfo (ViSession instrumentHandle,
                                                        ViUInt32 mode,
                                                        ViInt32 channel,
                                                        ViInt32 _VI_FAR detailedInfo[],
                                                        ViChar _VI_FAR errorMessage[]);
ViStatus _VI_FUNC RSCMUNB_Sig_GetScalHsscchRecSubframesResults
             (ViSession instrumentHandle, ViUInt32 mode, ViPInt32 receivedSubframes,
              ViChar _VI_FAR errorMessage[]);
ViStatus _VI_FUNC RSCMUNB_Sig_ConfHspdschContRep (ViSession instrumentHandle,
                                                  ViInt32 repetitionMode,
                                                  ViChar _VI_FAR errorMessage[]);
ViStatus _VI_FUNC RSCMUNB_Sig_ConfHspdschRecSubframes (ViSession instrumentHandle,
                                                       ViInt32 mode,
                                                       ViInt32 recordSubframes,
                                                       ViChar _VI_FAR errorMessage[]);
ViStatus _VI_FUNC RSCMUNB_Sig_ConfHspdschErep (ViSession instrumentHandle,
                                               ViInt32 eventReporting,
                                               ViChar _VI_FAR errorMessage[]);
ViStatus _VI_FUNC RSCMUNB_Sig_InitHspdsch (ViSession instrumentHandle,
                                           ViChar _VI_FAR errorMessage[]);
ViStatus _VI_FUNC RSCMUNB_Sig_AborHspdsch (ViSession instrumentHandle,
                                           ViChar _VI_FAR errorMessage[]);
ViStatus _VI_FUNC RSCMUNB_Sig_StopHspdsch (ViSession instrumentHandle,
                                           ViChar _VI_FAR errorMessage[]);
ViStatus _VI_FUNC RSCMUNB_Sig_ContHspdsch (ViSession instrumentHandle,
                                           ViChar _VI_FAR errorMessage[]);
ViStatus _VI_FUNC RSCMUNB_Sig_FetcScalHspdschStat (ViSession instrumentHandle,
                                                   ViPInt32 measurementStatus,
                                                   ViPInt32 counter_for_current_statistics,
                                                   ViChar _VI_FAR errorMessage[]);
ViStatus _VI_FUNC RSCMUNB_Sig_GetArrHspdschDrate (ViSession instrumentHandle,
                                                  ViUInt32 mode,
                                                  ViInt32 _VI_FAR dataRate[],
                                                  ViChar _VI_FAR errorMessage[]);
ViStatus _VI_FUNC RSCMUNB_Sig_GetArrHspdschDrateThrMeas (ViSession instrumentHandle,
                                                         ViUInt32 mode,
                                                         ViUInt32 statisticMode,
                                                         ViReal64 _VI_FAR arrayOfResults[],
                                                         ViChar _VI_FAR errorMessage[]);
ViStatus _VI_FUNC RSCMUNB_Sig_GetArrHspdschThroughput (ViSession instrumentHandle,
                                                       ViUInt32 mode,
                                                       ViReal64 _VI_FAR throughput[],
                                                       ViChar _VI_FAR errorMessage[]);
ViStatus _VI_FUNC RSCMUNB_Sig_GetArrHspdschThroughputMeas
             (ViSession instrumentHandle, ViUInt32 mode, ViUInt32 statisticMode,
              ViReal64 _VI_FAR arrayOfResults[], ViChar _VI_FAR errorMessage[]);
ViStatus _VI_FUNC RSCMUNB_Sig_GetArrHspdschTotalDrate (ViSession instrumentHandle,
                                                       ViUInt32 mode,
                                                       ViReal64 _VI_FAR totalDataRate_andThroughput[],
                                                       ViChar _VI_FAR errorMessage[]);
ViStatus _VI_FUNC RSCMUNB_SaveRecallCurrent (ViSession instrumentHandle,
                                             ViInt32 saveRecall,
                                             ViChar _VI_FAR fileName[],
                                             ViInt32 storageDevice,
                                             ViChar _VI_FAR errorMessage[]);
ViStatus _VI_FUNC RSCMUNB_ChangeDestination (ViSession instrumentHandle,
                                             ViChar _VI_FAR fileName[],
                                             ViChar _VI_FAR errorMessage[]);
ViStatus _VI_FUNC RSCMUNB_SaveToFile (ViSession instrumentHandle,
                                      ViChar _VI_FAR fileName[],
                                      ViInt32 storageDevice,
                                      ViChar _VI_FAR errorMessage[]);
ViStatus _VI_FUNC RSCMUNB_BufferWriting (ViSession instrumentHandle,
                                         ViInt32 bufferWriting,
                                         ViChar _VI_FAR errorMessage[]);
ViStatus _VI_FUNC RSCMUNB_BufferEmpty (ViSession instrumentHandle,
                                       ViPInt32 bufferWriting,
                                       ViChar _VI_FAR errorMessage[]);
ViStatus _VI_FUNC RSCMUNB_Nsig_LoggingCdp (ViSession instrumentHandle,
                                           ViInt32 recordingDestination,
                                           ViChar _VI_FAR errorMessage[]);
ViStatus _VI_FUNC RSCMUNB_Nsig_LoggingBchMonitor (ViSession instrumentHandle,
                                                  ViInt32 recordingDestination,
                                                  ViChar _VI_FAR errorMessage[]);
ViStatus _VI_FUNC RSCMUNB_Nsig_LoggingTransportChannel (ViSession instrumentHandle,
                                                        ViInt32 recordingDestination,
                                                        ViChar _VI_FAR errorMessage[]);
ViStatus _VI_FUNC RSCMUNB_Nsig_DefaultLogging (ViSession instrumentHandle,
                                               ViChar _VI_FAR errorMessage[]);
ViStatus _VI_FUNC RSCMUNB_init (ViRsrc resourceName, ViBoolean IDQuery,
                                ViBoolean resetDevice, ViPSession instrumentHandle);
ViStatus _VI_FUNC RSCMUNB_GetInstrumentHandle (ViSession instrumentHandle,
                                               ViPSession currentInstrumentHandle);
ViStatus _VI_FUNC RSCMUNB_initNB (ViSession instrumentHandle,
                                  ViSession baseInstrumentHandle,
                                  ViInt32 nodeBFunctionGroup);
ViStatus _VI_FUNC RSCMUNB_reset (ViSession instrumentHandle);
ViStatus _VI_FUNC RSCMUNB_self_test (ViSession instrumentHandle,
                                     ViPInt16 selfTestResult,
                                     ViChar _VI_FAR selfTestMessage[]);
ViStatus _VI_FUNC RSCMUNB_error_query (ViSession instrumentHandle,
                                       ViPInt32 errorCode,
                                       ViChar _VI_FAR errorMessage[]);
ViStatus _VI_FUNC RSCMUNB_error_message (ViSession instrumentHandle,
                                         ViStatus statusCode,
                                         ViChar _VI_FAR message[]);
ViStatus _VI_FUNC RSCMUNB_revision_query (ViSession instrumentHandle,
                                          ViChar _VI_FAR instrumentDriverRevision[],
                                          ViChar _VI_FAR firmwareRevision[]);
ViStatus _VI_FUNC RSCMUNB_close (ViSession instrumentHandle);



/*****************************************************************************/
//    No Front Panel, don't delete the declarations

ViStatus _VI_FUNC RSCMUNB_GetResourceName (ViSession instrSession,
                                           ViSession instrSessionBase,
                                           ViChar _VI_FAR sessionName[]);

#if defined(__cplusplus) || defined(__cplusplus__)
}
#endif
